---
layout: blog
week: 112
published: 2017-06-21 16:06:41
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday June 11 and Saturday June 17 2017:

Upcoming events
---------------

- On June 19th, Chris Lamb presented at [LinuxCon China 2017](https://www.lfasiallc.com/linuxcon-containercon-cloudopen-china) on Reproducible Builds.

- h01ger [created a poll for a date for the next Reproducible Builds summit](https://framadate.org/GRiauaLT94hi7lYm), please vote if you are interested in attending.

- Our [next IRC meeting will be on the 6th of July](http://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20170529/008785.html) at 17:00 UTC with [the following agenda](https://pad.riseup.net/p/reproducible-irc-meeting-10).


Upstream patches and bugs filed
-------------------------------

* Bernhard M. Wiedemann:

  * [gnuradio](https://github.com/gnuradio/gnuradio/pull/1322) + [volk](https://github.com/gnuradio/volk/pull/116)
  * [pymol](https://sourceforge.net/p/pymol/patches/12/)
  * [distorm](https://github.com/gdabah/distorm/pull/116)
  * [qtscriptgenerator](https://github.com/qt-labs/qtscriptgenerator/pull/1)
  * [cpython](https://github.com/python/cpython/pull/2263)
  * [x3270](https://sourceforge.net/p/x3270/code/merge-requests/1/) [x3270](https://sourceforge.net/p/x3270/code/merge-requests/2/)
  * [sphinx](https://github.com/sphinx-doc/sphinx/pull/3882)
  * [obs-service-tar_scm](https://github.com/openSUSE/obs-service-tar_scm/pull/168)
  * [osc](https://github.com/openSUSE/osc/pull/300)
  * [matplotlib](https://github.com/matplotlib/matplotlib/pull/8747) merged
  * [pyparted](https://github.com/rhinstaller/pyparted/pull/39) merged
  * [bjoern](https://github.com/jonashaag/bjoern/pull/102) merged

Reviews of unreproducible packages
----------------------------------

1 package review has been added, 19 have been updated and 2 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (1)
 - Edmund Grimley Evans (1)

diffoscope development
----------------------

- Chris Lamb:
  - [Document the 'h' variable in our raw\_feeder](https://salsa.debian.org/reproducible-builds/diffoscope/commit/ad28ed3)
  - [Split diffoscope.difference into feeders](https://salsa.debian.org/reproducible-builds/diffoscope/commit/5efe539)
  - [Tidy diffoscope/difference.py](https://salsa.debian.org/reproducible-builds/diffoscope/commit/04008ee)
- Ximin Luo:
  - [Add a PartialString class](https://salsa.debian.org/reproducible-builds/diffoscope/commit/8051d6f)
  - [More ydiff/linediff from diffoscope.{difference => diff} to group unified\_diff related things together](https://salsa.debian.org/reproducible-builds/diffoscope/commit/56fcdec)
  - [difference: has\_children -> has\_visible\_children, and take into account comments](https://salsa.debian.org/reproducible-builds/diffoscope/commit/4afa1cc)
  - [Add various traverse\_ methods to Difference](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f19e1ed)
  - [Move side-by-side and linediff algorithms to difference.py](https://salsa.debian.org/reproducible-builds/diffoscope/commit/d5b71fa)
  - [Refactor html-dir presenter to be a class instance, avoiding global state](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2a0314c)
  - [html-dir: show/hide diff comments, which can be very large](https://salsa.debian.org/reproducible-builds/diffoscope/commit/bbfbe91)

tests.reproducible-builds.org
-----------------------------

As you might have noticed, Debian `stretch` was released last week. Since then, Mattia and Holger renamed our `testing` suite to `stretch` and added a `buster` suite so that we keep our historic results for `stretch` visible and can continue our development work as usual. In this sense, happy hacking on buster; may it become the best Debian release ever and hopefully the first reproducible one!

- Vagrant Cascadian:
  - Proposed [reducing the number of concurrent builds each armhf machine runs](https://bugs.debian.org/864686),
    to reduce out-of-memory errors, crashes and false positives with FTBFS
    on     `armhf`, reducing the number of `armhf` build workers from 70 to 51.
- Valerie Young: Add highlighting in navigation for the new nodes health pages.
- Mattia Rizzolo:
  - Do not dump database ACL in the backups.
  - Deduplicate `SSLCertificateFile` directive into the `common-directives-ssl` macro
  - Apache: t.r-b.o: redirect /testing/ to /stretch/
  - db: s/testing/stretch/g
  - Start adding code to test [buster](https://tests.reproducible-builds.org/debian/buster/index_suite_amd64_stats.html)...
- Holger Levsen:
  - Update `README.infrastructure` to explain who has `root` access where.
  - reproducible_nodes_info.sh: correctly recognize zero builds per day.
  - Add build nodes health overview page, then split it in three: [health overview](https://tests.reproducible-builds.org/debian/index_nodes_health.html), [daily munin graphs](https://tests.reproducible-builds.org/debian/index_nodes_daily_graphs.html) and [weekly munin graphs](https://tests.reproducible-builds.org/debian/index_nodes_weekly_graphs.html).
  - reproducible_worker.sh: improve handling of systemctl timeouts.
  - reproducible_build_service: sleep less and thus restart failed workers sooner.
  - Replace ftp.(de|uk|us).debian.org with `deb.debian.org` everywhere.
  - Performance page: also show local problems with `_build_service.sh` (which are autofixed after a maximum of 133.7 minutes).
  - Rename _nodes_info job to _html_nodes_info.
  - Add new node health check jobs, split off from maintenance jobs, run every 15 minutes.
    - Add two new checks: 1. for correct future (2019 is incorrect atm, and we sometimes got that). 2.) for writeable /tmp (sometimes happens on borked armhf nodes).
  - Add jobs for testing `buster`.
  - s/testing/stretch/g in all the code.
  - Finish the code to deal with [buster](https://tests.reproducible-builds.org/debian/buster/index_suite_amd64_stats.html).
  - Teach `jessie` and Ubuntu 16.04 how to `debootstrap` `buster`.

Axel Beckert is currently in the process of setting up eight [LeMaker HiKey960 boards]((http://www.96boards.org/product/hikey960/). These boards were sponsored by [Hewlett Packard Enterprise](https://www.hpe.com/) and will be hosted by the [SOSETH](https://sos.ethz.ch/) students association at [ETH Zurich](https://www.ethz.ch/). Thanks to everyone involved here and also thanks to Martin Michlmayr and Steve Geary who initiated getting these boards to us.


Misc.
-----

This week's edition was written by Chris Lamb, Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
