---
layout: blog
week: 114
published: 2017-07-04 12:07:52
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday June 25 and
Saturday July 1 2017:

Upcoming and past events
------------------------

Our [next IRC meeting is scheduled for July 6th](http://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20170529/008785.html) at 17:00 UTC ([agenda](https://pad.riseup.net/p/reproducible-irc-meeting-10)). Topics to be discussed include an update on our next Summit, a potential NMU campaign, a press release for buster, branding, etc.

Toolchain development and fixes
-------------------------------

* James McCoy reviewed and merged Ximin Luo's script
  [debpatch](https://anonscm.debian.org/cgit/collab-maint/devscripts.git/tree/scripts/debpatch)
  into the [devscripts Git
  repository](https://anonscm.debian.org/cgit/collab-maint/devscripts.git/). This is
  useful for rebasing our patches onto new versions of Debian packages.

Packages fixed and bugs filed
-----------------------------

* Adrian Bunk:
  * [#866713](https://bugs.debian.org/866713) filed against [debhelper](https://tracker.debian.org/pkg/debhelper).

* Chris Lamb:
  * [#865994](https://bugs.debian.org/865994) filed against [xabacus](https://tracker.debian.org/pkg/xabacus).
  * [#866164](https://bugs.debian.org/866164) filed against [qmidinet](https://tracker.debian.org/pkg/qmidinet).
  * [#866169](https://bugs.debian.org/866169) filed against [singularity-container](https://tracker.debian.org/pkg/singularity-container).
  * [#866330](https://bugs.debian.org/866330) filed against [cd-hit](https://tracker.debian.org/pkg/cd-hit).

Ximin Luo uploaded
[dash](https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/dash.html),
[sensible-utils](https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/sensible-utils.html)
and
[xz-utils](https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/xz-utils.html)
to the [deferred uploads
queue](https://www.debian.org/doc/manuals/developers-reference/pkgs.html#delayed-incoming)
with a delay of 14 days. (We have had patches for these core packages for over
a year now and the original maintainers seem inactive so Debian conventions
allow for this.)

Patches submitted upstream:

* [openmpi](https://github.com/open-mpi/ompi/pull/3779)
* [gtk-doc](https://bugzilla.gnome.org/show_bug.cgi?id=784177) fixed by sorting directory listings
* [samba](https://bugzilla.gnome.org/show_bug.cgi?id=784177)
* [TeX](http://tug.org/pipermail/tex-live/2017-June/040398.html)
* [nedit](https://sourceforge.net/p/nedit/git/merge-requests/4/)
* [criu](https://lists.openvz.org/pipermail/criu/2017-June/038593.html)
* [tvheadend sort](https://github.com/tvheadend/tvheadend/pull/969)
* [tvheadend date](https://github.com/tvheadend/tvheadend/pull/970)
* [cfengine](https://github.com/cfengine/core/pull/2881)


Reviews of unreproducible packages
----------------------------------

4 package reviews have been added, 4 have been updated and 35 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

One issue types has been updated:

- [Add upstream URL for random\_order\_of\_pdf\_ids\_generated\_by\_latex](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/28a1dc21)

One issue type has been added:

- [timestamps\_in\_manpages\_added\_by\_golang\_go\_flags](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/b880c6af)


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (68)
 - Daniel Schepler (1)
 - Michael Hudson-Doyle (1)
 - Scott Kitterman (6)


diffoscope development
----------------------

- Daniel Shahaf:
  - [Fix markup in the man page synopsis.  Thanks to Niels Thykier for the report.  (Closes: #866577)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/212563a)
- Mattia Rizzolo:
  - [Bump backport version check in debian/rules](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f5200e7)
- Ximin Luo:
  - [Fix a progressbar failure](https://salsa.debian.org/reproducible-builds/diffoscope/commit/8130f63)
  - [Put the 400MB "fsimage" cache in a more obvious place](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c07970f)
  - [Fix CI tests under Python 3.6](https://salsa.debian.org/reproducible-builds/diffoscope/commit/26a4360)
  - [Add a --exclude-directory-metadata option. (Closes: #866241)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/7f2fa5f)
  - [Raise warning for getfacl. Remove a redundant try-clause](https://salsa.debian.org/reproducible-builds/diffoscope/commit/037c923)
  - [Fix recursive indentation of headers](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9c0a3d2)
  - [Use a loop rather than recursion](https://salsa.debian.org/reproducible-builds/diffoscope/commit/885cc18)
  - [In html-dir mode, put css/icon in separate files to avoid duplication](https://salsa.debian.org/reproducible-builds/diffoscope/commit/7088191)
  - [diffcontrol UI tweaks](https://salsa.debian.org/reproducible-builds/diffoscope/commit/af49bda)
  - [Split index pages up if they get too big](https://salsa.debian.org/reproducible-builds/diffoscope/commit/fff43bd)


tests.reproducible-builds.org
-----------------------------

- Vagrant Cascadian working on testing Debian:
  - Upgraded the 27 `armhf` build machines to stretch.
  - Fix mtu check to only display status when eth0 is present.
- Helmut Grohne worked on testing Debian:
  - Limit diffoscope memory usage to 10GB virtual per process. It currently tends to use 50GB virtual, 36GB resident which is bad for everything else sharing the machine. (This is [#865660](https://bugs.debian.org/865660))
- Alexander Couzens working on testing LEDE:
  - Add multiple architectures / targets.
  - Limit LEDE and OpenWrt jobs to only allow one build at the same time using the jenkins build blocker plugin. 
  - Move `git log -1 > .html` to node`_document    _environment().
  - Update TODOs.
- Mattia Rizzolo working on testing Debian:
  - Updated the maintenance script for `postgresql-9.6`.
  - Restored the postgresql database from backup after Holger accidentally purged it.
- Holger Levsen working on:
  - Merging all the above commits.
  - Added a check for (known) Jenkins zombie jobs and report them. (This is an long known problem with jenkins; deleted jobs sometimes come back…)
  - Upgraded the remaining `amd64` nodes to `stretch`.
  - Accidentally purged `postgres-9.4` from jenkins, so we could test our backups ;-)
  - Updated our stretch upgrade TODOs.

Misc.
-----

This week's edition was written by Chris Lamb, Ximin Luo, Holger Levsen, Bernhard Wiedemann, Vagrant Cascadian & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
