---
layout: blog
week: 132
published: 2017-11-07 13:11:52
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday October 29 and Saturday November 4 2017:

Past events
-----------

- From October 31st &mdash; November 2nd we held the [3rd Reproducible Builds summit](https://reproducible-builds.org/events/berlin2017/) in Berlin, Germany. A full, in-depth report will be posted in the next week or so.

Upcoming events
---------------

- On November 8th Jonathan Bustillos Osornio (jathan) will present at [CubaConf Havana](http://www.cubaconf.org/).

- On November 17th Chris Lamb will present at [Open Compliance Summit](http://events.linuxfoundation.org/events/open-compliance-summit/), Yokohama, Japan on how reproducible builds ensures the long-term sustainability of technology infrastructure.


Reproducible work in other projects
-----------------------------------

 * [Alan Pope](https://twitter.com/popey) linked to the [status of "asset recording"](https://forum.snapcraft.io/t/asset-recording-for-a-built-snap/317/27) in [SnapCraft](https://snapcraft.io/), a concept related to `.buildinfo` files.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Chris Lamb:
    * [#880714](https://bugs.debian.org/880714) filed against [cappuccino](https://tracker.debian.org/pkg/cappuccino).
    * [#880803](https://bugs.debian.org/880803) filed against [python-kafka](https://tracker.debian.org/pkg/python-kafka).
    * [#880804](https://bugs.debian.org/880804) filed against [debci](https://tracker.debian.org/pkg/debci).
    * [#880827](https://bugs.debian.org/880827) filed against [roundcube](https://tracker.debian.org/pkg/roundcube).
* Steve Langasek:
    * [#880550](https://bugs.debian.org/880550) filed against [g2](https://tracker.debian.org/pkg/g2).
* Juro:
  * [curl](https://github.com/curl/curl/pull/2026) (`SOURCE_DATE_EPOCH`)
  * [OpenSSL](https://github.com/openssl/openssl/pull/4639) (`SOURCE_DATE_EPOCH`)
* Bernhard M. Wiedemann:
  * [openSUSE/ant](https://build.opensuse.org/request/show/536291) (use `SOURCE_DATE_EPOCH`)
  * [openSUSE/mariadb](https://build.opensuse.org/request/show/536714) (drop `INFO_BIN`)
  * [openSUSE/libsmbios](https://build.opensuse.org/request/show/538561) (drop embedded build log)


Reviews of unreproducible packages
----------------------------------

7 package reviews have been added, 43 have been updated and 47 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (44)
 - Andreas Moog (1)
 - Lucas Nussbaum (7)
 - Steve Langasek (1)

Documentation updates
---------------------

- Ulrike Uhlig:
    - [Add documentation about system images.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/aa7f5d8)
- Holger Levsen:
    - [List all speakers of the DebConf17](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/41c790b)
    - [Add news about the Berlin event](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/f377966)
- Chris Lamb:
    - [Add recent talks to resources.html.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/5b92ba9)
    - [Clarify link to full definition.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/cc5529c)
    - [Cachebust CSS files.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/e1c13b9)
- Bernhard M. Wiedemann:
    - [Fix openSUSE website link](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/4932426)


diffoscope development
----------------------

Version [88](https://tracker.debian.org/news/883817) was uploaded to unstable by Mattia Rizzolo.
It included [contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/88)
(already covered by posts of the previous weeks) from:

* Mattia Rizzolo
   * `tests/comparators/dtb`: compatibility with version 1.4.5. (Closes: [#880279](https://bugs.debian.org/880279))
* Chris Lamb
   * comparators:
     * `binwalk`: improve names in output of "internal" members. [#877525](https://bugs.debian.org/877525)
     * Omit misleading "any of" prefix when only complaining about one module in `ImportError` messages.
   * Don't crash on malformed "md5sums" files. (Closes: [#877473](https://bugs.debian.org/877473))
   * `tests/comparators`:
     * `ps`: ps2ascii > 9.21 now varies on timezone, so skip this test for now.
     * `dtby`: only parse the version number, not any "-dirty" suffix.
   * `debian/watch`: Use HTTPS URI.
* Ximin Luo
   * comparators:
     * `utils/file`: Diff container metadata centrally. This fixes a last remaining bug in fuzzy-matching across containers. (Closes: [#797759](https://bugs.debian.org/797759))
     * Fix all the affected comparators after the above change.
* Holger Levsen
   * Bump `Standards-Version` to 4.1.1, no changes needed.


strip-nondeterminism development
--------------------------------

Version [0.040-1](https://tracker.debian.org/news/882433) was uploaded to unstable by Mattia Rizzolo.
It included [contributions](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commits/debian/0.040-1)
already covered by posts of the previous weeks, as well as new ones from:

- Mattia Rizzolo:
    - [Declare that strip-nondeterminism doesn't need root to build](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=99de0a9)
    - [Add my key to debian/upstream/signing-key.asc](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=0811b2d)
m
disorderfs development
----------------------

Version [0.5.2-2](https://tracker.debian.org/news/882666) was uploaded to unstable by Holger Levsen.

It included [contributions](https://salsa.debian.org/reproducible-builds/disorderfs/commits/debian/0.5.2-2)
already covered by posts of the previous weeks, as well as new ones from:

- Chris Lamb:
    - [Add a reproducible builds example, highlighting the non-intuitive recommendation to sort instead of shuffle.](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=e0f2944)
    - [Add myself to AUTHORS.](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=2c83a54)
    - [debian/watch: Use HTTPS URI.](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=94c928d)
- Holger Levsen:
    - [debian/control: use /git/ instead of /cgit/ URL for Vcs-Browser](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=38f3590)
    - [debian/compat: Bump to compat level 10 & raise build-depends to debhelper >= 10.2.5~.](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=09ae3ee)
    - [debian/control: Bump Standards-Version to 4.1.1.](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=2303465)


reprotest development
---------------------

- Ximin Luo:
    - [Mention certificate expiry errors in documentation as a potential issue with faketime](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=94e158c)


buildinfo.debian.net development
--------------------------------

- Chris Lamb:
    - [Support UID filtering](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=81c116b)
    - [Add initial "by-hash" API endpoint.](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=5d69f38)

tests.reproducible-builds.org
-----------------------------

* Mattia Rizzolo:
  * archlinux: enable schroot building on pb4 as well
  * archlinux: don't install the deprecated abs tool
  * archlinux: try to re-enable one schroot creation job
* lynxis
  * lede: replace TMPDIR -> RESULTSDIR
  * lede: openwrt_get_banner(): use locals instead of globals
  * lede: add newline to $CONFIG
  * lede: show git log -1 in jenkins log
* Holger Levsen:
  + lede: add very simple landing page
* Juliana Oliveira Rodrigues
  + archlinux: adds pacman-git dependencies
* kpcyrd
  * archlinux: disable signature verification when running in the future
  * archlinux: use pacman-git until the next release
  * archlinux: make pacman fail less early
  * archlinux: use sudo to prepare chroot
  * archlinux: remove -rf for regular file
  * archlinux: avoid possible TOCTOU issue
  * archlinux: Try to fix tar extraction
  * archlinux: fix sha1sums parsing

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Mattia Rizzolo & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
