---
layout: blog
week: 146
published: 2018-02-13 18:02:15
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday February 4 and Saturday February 10 2018:

Media coverage
--------------

* On February 7th, Christos Zoulas gave at talk entitled [Reproducible builds on NetBSD](http://www.nycbug.org/index.cgi?action=view&id=10657) at the [New York City \*BSD User Group](http://www.nycbug.org/).


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Chris Lamb:
    * [#889565](https://bugs.debian.org/889565) filed against [libical3](https://tracker.debian.org/pkg/libical3).
    * [#889637](https://bugs.debian.org/889637) filed against [mailman](https://tracker.debian.org/pkg/mailman).
    * [#890027](https://bugs.debian.org/890027) filed against [librsvg](https://tracker.debian.org/pkg/librsvg) ([forwarded upstream](https://gitlab.gnome.org/GNOME/librsvg/merge_requests/10)).
    * [#890036](https://bugs.debian.org/890036) filed against [juce](https://tracker.debian.org/pkg/juce).
    * [#890052](https://bugs.debian.org/890052) filed against [nsf](https://tracker.debian.org/pkg/nsf).
    * [#890053](https://bugs.debian.org/890053) filed against [tkmpeg](https://tracker.debian.org/pkg/tkmpeg).
    * [#885408](https://bugs.debian.org/885408) (re-filed) against [multipath-tools](https://tracker.debian.org/pkg/multipath-tools).


Reviews of unreproducible packages
----------------------------------

63 package reviews have been added, 26 have been updated and 19 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

A new issue type have been added:

* [`timestamps_in_pdf_generated_by_rsvg_convert`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/5e8bac75)

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (34)
 - Antonio Terceiro (1)
 - James Cowgill (1)
 - Matthias Klose (1)


diffoscope development
----------------------

- Chris Lamb:
    - [Add support for comparing binary XML schemas](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c1e29ac)
    - [Drop debugging code in Android tests](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2bf2f0f)
- Mattia Rizzolo:
    - [Wrap some lines](https://salsa.debian.org/reproducible-builds/diffoscope/commit/b7332b6)

In addition, Juliana—our Outreachy intern—continues her work on parallel processing.


disorderfs development
----------------------

- Chris Lamb:
    - [Override `no-upstream-changelog` lintian warning](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=e98218f)
    - [Use HTTPS format URI in `debian/copyright`](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=cb394cd)


jenkins.debian.net development
------------------------------

- Mattia Rizzolo:
    - [Correct reference to IRC channel](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=8eb3c2d1)
    - [Update link to NetBSDs `src` Git repository](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=a13fee6a)


Misc.
-----

This week's edition was written by Chris Lamb, Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
