---
layout: blog
week: 147
published: 2018-02-20 20:02:27
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday February 11 and Saturday February 17 2018:

Media coverage
--------------

* [ActiveState](https://www.activestate.com/) are running a ["Golang Roundtable" on February 22nd](https://start.activestate.com/feb-roundtable-youtube/) to discuss reproducible builds, environment configuration & dependency management ([via Pete Garcin](https://medium.com/activestate/reproducible-builds-introducing-predictability-into-your-pipeline-6b79c4a8d6a8)).

* [Holger Levsen announced](http://layer-acht.org/thinking/blog/20180215-mini-debconf-hamburg/) there will be a MiniDebConf in Hamburg, Germany from May 16th to 20th where many reproducible builds folks will be in attendance. Whilst this is foremost a "Debian" event, we do hope that people working on Reproducible Builds in other projects will attend as well - [please register](https://wiki.debian.org/DebianEvents/de/2018/MiniDebConfHamburg/Registration)!

Reproducible work in other projects
-----------------------------------

* The [Symfony PHP framework](https://symfony.com/) announced that [their latest release is reproducible](https://symfony.com/blog/new-in-symfony-reproducible-builds).

* [Maria Camenzuli](https://purpledevcat.com) wrote about [Reproducible Builds in Java](https://purpledevcat.com/2018/02/14/reproducible-builds-in-java.html).

* Helmut Grohne used reproducible builds practices to [remove unnecessary build-dependencies in the kalzium package](https://bugs.debian.org/890195#5).


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Adrian Bunk:
    * [#890122](https://bugs.debian.org/890122) filed against [kcompletion](https://tracker.debian.org/pkg/kcompletion).
    * [#890431](https://bugs.debian.org/890431) filed against [grub2](https://tracker.debian.org/pkg/grub2).

* Chris Lamb:
    * [#890104](https://bugs.debian.org/890104) filed against [octave-geometry](https://tracker.debian.org/pkg/octave-geometry).
    * [#890193](https://bugs.debian.org/890193) filed against [sleekxmpp](https://tracker.debian.org/pkg/sleekxmpp).
    * [#890280](https://bugs.debian.org/890280) filed against [ufo2ft](https://tracker.debian.org/pkg/ufo2ft). ([upstream](https://github.com/googlei18n/ufo2ft/pull/219))
    * [#890311](https://bugs.debian.org/890311) filed against [dashel](https://tracker.debian.org/pkg/dashel).
    * [#890312](https://bugs.debian.org/890312) filed against [desmume](https://tracker.debian.org/pkg/desmume).
    * [#890313](https://bugs.debian.org/890313) filed against [awl](https://tracker.debian.org/pkg/awl).
    * [#890314](https://bugs.debian.org/890314) filed against [cpl-plugin-visir](https://tracker.debian.org/pkg/cpl-plugin-visir).
    * [#890486](https://bugs.debian.org/890486) filed against [keepassxc](https://tracker.debian.org/pkg/keepassxc).
    * [#890487](https://bugs.debian.org/890487) filed against [wreport](https://tracker.debian.org/pkg/wreport).
    * [#890551](https://bugs.debian.org/890551) filed against [mblaze](https://tracker.debian.org/pkg/mblaze).
    * [#890577](https://bugs.debian.org/890577) filed against [tkgate](https://tracker.debian.org/pkg/tkgate).
    * [#890616](https://bugs.debian.org/890616) filed against [dialign-t](https://tracker.debian.org/pkg/dialign-t).
    * [#890618](https://bugs.debian.org/890618) filed against [scowl](https://tracker.debian.org/pkg/scowl).
    * [#890620](https://bugs.debian.org/890620) filed against [ply](https://tracker.debian.org/pkg/ply).
    * [#890651](https://bugs.debian.org/890651) filed against [xastir](https://tracker.debian.org/pkg/xastir).
    * RediSearch ([upstream](https://github.com/RedisLabsModules/RediSearch/pull/289))
    * Promise.js ([upstream](https://github.com/then/promise/pull/148))

Various previous patches were merged upstream:

* [libical](https://github.com/libical/libical/pull/324) (Chris Lamb)
* [librsvg](https://gitlab.gnome.org/GNOME/librsvg/merge_requests/10#note_56154) (Chris Lamb)



Reviews of unreproducible packages
----------------------------------

38 package reviews have been added, 27 have been updated and 13 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

4 issue types have been added:

* [python-ply\_lextokens](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/3841005d)
* [build\_dir\_in\_tags\_generated\_by\_doxygen](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/374f00dc)
* [randomness\_in\_berkeley\_db\_files](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/1a3115db)
* [timestamp\_in\_fonts\_generated\_by\_ufo2ft](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/700437dc)


One issue type has been updated:

* [Add upstream URI for timestamps\_in\_pdf\_generated\_by\_rsvg\_convert](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/c5f59e88)


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (24)
 - Boyuan Yang (1)
 - Cédric Boutillier (1)
 - Jeremy Bicha (1)
 - Matthias Klose (1)


diffoscope development
----------------------

- Chris Lamb:
    - [Add support for comparing Berkeley DB files](https://salsa.debian.org/reproducible-builds/diffoscope/commit/8fbd7e3) ([#890528](https://bugs.debian.org/890528)). This is currently incomplete because the Berkeley DB libraries do not return the same uid/hash reliably (it returns "random" memory contents) so we must strip those from the human-readable output.


Website development
-------------------

- Holger Levsen:
    - [Add reference to Symfony.com](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/5f14e50); thanks to Javier Eguiluz for the patch.


Misc.
-----

This week's edition was written by Chris Lamb and Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
