---
layout: blog
week: 151
published: 2018-03-20 19:03:19
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday March 11 and Saturday March 17 2018:

* Mattia Rizzolo updated our patched version of GCC to `7.3.0-11`. This includes our patches to support [`BUILD_PATH_PREFIX_MAP`](https://wiki.debian.org/ReproducibleBuilds/BuildPathProposal).

* Chris Lamb added support for comparing [Gnumeric](http://www.gnumeric.org/) spreadsheets to our [diffoscope](https://diffoscope.org) tool ([#893311](https://bugs.debian.org/893311)) as well as updated the tests tests for `openjdk-9` ([#893183](https://bugs.debian.org/893183)).

* The `arm64` network in our test build framework came back after some protracted downtime caused by a hardware issue.

* 63 package reviews were added to our [package notes](https://salsa.debian.org/reproducible-builds/notes.git) adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). In additiom, 43 entries were updated and 38 were been removed, A [timestamps\_in\_pdf\_generated\_by\_inkscape](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/a746991a) toolchain issue was also added.

* [Isaac Z. Schlueter](http://izs.me/) updated the [npm](https://www.npmjs.com/) package manager for JavaScript applications to [use a fixed, deterministic modification time when creating archives](https://github.com/npm/npm/commit/58d2aa58d5f9c4db49f57a5f33952b3106778669). Due to a limitation in the ZIP archive format, they opted for [26th October 1985](http://backtothefuture.wikia.com/wiki/Back_to_the_Future_timeline) instead.

* The [latest release of Tails](https://tails.boum.org/news/version_3.6/index.en.html) (3.6) is no longer reproducible.

* Heise [reported on a trojaned version of a BitTorrent client that infected 400,000 computers](https://www.heise.de/security/meldung/Trojanisierte-Version-des-BitTorrent-Clients-MediaGet-infizierte-400-000-Computer-3995514.html) (German). We believe such attacks would be detected quicker with a combination of free software and reproducible builds.

* Mathieu Boespflug and Théophane Hufschmitt posted about [using Bazel and Nix to achieve fully-reproducible builds](https://www.tweag.io/posts/2018-03-15-bazel-nix.html).

* Holger Levsen [added yocto to our list of partner projects](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/ce5f0a8) as [they mention "Binary Reproducibility"](https://www.yoctoproject.org/software-overview/features/) as a feature.


Upcoming events
---------------

* On Tuesday March 20th, Chris Lamb [will speak about reproducible builds at the New York Linux Users Group](https://www.meetup.com/nylug-meetings/events/248246544/).

* Chris Lamb will also be presenting at [LibrePlanet 2018](https://www.libreplanet.org/2018/) on reproducible builds on Saturday 24th March.


Patches submitted
-----------------

* Bernhard M. Wiedemann:
    * [epic](https://build.opensuse.org/request/show/586708) (sent upstream via email)
    * [icinga2](https://build.opensuse.org/request/show/585980) (hostname)
    * [kubernetes](https://github.com/kubernetes/kubernetes/issues/48710) (parallelism, copyright year)
    * [lilypond](https://sourceforge.net/p/testlilyissues/issues/5290/) (use `convert -strip`)
    * [marisa](https://build.opensuse.org/request/show/586304) (drop date)
    * [mono](https://bugzilla.opensuse.org/show_bug.cgi?id=1085258) (date)
    * [nautilus-dropbox](https://build.opensuse.org/request/show/585725) (date/`SOURCE_DATE_EPOCH`)
    * [pencil](https://build.opensuse.org/request/show/585798) (date)
    * [perl](https://rt.cpan.org/Public/Bug/Display.html?id=124787) (`Time::Local` FTBFS in 2020)
    * [python-bjoern](https://build.opensuse.org/request/show/586121) (sort, `readdir(2)`)
    * [uisp](https://build.opensuse.org/request/show/586030) (date/`SOURCE_DATE_EPOCH`)
    * [uperf](https://github.com/uperf/uperf/pull/13) (merged, date/`SOURCE_DATE_EPOCH`)
    * [wyrd](https://build.opensuse.org/request/show/586334) (date/`SOURCE_DATE_EPOCH`)

* Chris Lamb:
    * [#893314](https://bugs.debian.org/893314) filed against [inkscape](https://tracker.debian.org/pkg/inkscape) ([sent upstream](https://gitlab.com/inkscape/inkscape/merge_requests/219)).


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (168)
 - Emmanuel Bourg (2)
 - Pirate Praveen (1)
 - Tiago Stürmer Daitx (1)


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen, Mattia Rizzolo & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
