---
layout: blog
week: 152
published: 2018-03-27 21:03:56
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday March 18 and Saturday March 24 2018:

* [Tails](https://tails.boum.org/) ([used by Edward Snowden](https://twitter.com/Snowden/status/975827513321623553), etc.) announced that [their 3.6.1 release](https://tails.boum.org/news/version_3.6.1/index.en.html) is reproducible again.

- Nicolas Vigier [updated our website](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/14c2573) to correct the tool used to build [Tor Browser](https://www.torproject.org/projects/torbrowser.html).

* Chris Lamb presented on reproducible builds at [LibrePlanet 2018](https://www.libreplanet.org/2018/) on Saturday 24th March.

* On Tuesday March 20th, Chris Lamb also [presented about reproducible builds](https://www.meetup.com/nylug-meetings/events/248246544/) at the [New York Linux Users Group](http://www.nylug.org/).

* Chris Lamb migrated the [trydiffoscope](https://salsa.debian.org/reproducible-builds/trydiffoscope), [presentations](https://salsa.debian.org/reproducible-builds/reproducible-presentations), [buildinfo.debian.net](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net), [reproducible-utils](https://salsa.debian.org/reproducible-builds/reproducible-utils), [tasks](https://salsa.debian.org/reproducible-builds/reproducible-tasks) and [misc](https://salsa.debian.org/reproducible-builds/reproducible-misc) Git repositories repositories from [Alioth](https://wiki.debian.org/Alioth) to [Salsa](https://wiki.debian.org/Salsa).


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Adrian Bunk:
    * [#893374](https://bugs.debian.org/893374) filed against [preload](https://tracker.debian.org/pkg/preload).

* Bernhard M. Wiedemann:
    * [perl-File-Unpack](https://rt.cpan.org/Ticket/Display.html?id=124916) (Race condition)
    * [kvirc](https://github.com/kvirc/KVIrc/pull/2360) (`SOURCE_DATE_EPOCH`)
    * [kvirc](https://github.com/kvirc/KVIrc/pull/2361) (Uses CMake's `TIMESTAMP`)
    * [swift-im](https://github.com/swift/swift/pull/100) (Sort `readdir(3)`)
    * [wsmancli](https://github.com/Openwsman/wsmancli/pull/8) (Date)
    * [scummvm-tools](https://build.opensuse.org/request/show/590554) (Drop PNG timestamps)

* Chris Lamb:
    * [#893504](https://bugs.debian.org/893504) filed against [javatools](https://tracker.debian.org/pkg/javatools) (fixed).
    * [#893611](https://bugs.debian.org/893611) filed against [rpyc](https://tracker.debian.org/pkg/rpyc).


diffoscope development
----------------------

[diffoscope](https://diffoscope.org/) is our in-depth and content-aware diff utility that can locate and diagnose reproducibility issues. This week, version [92](https://tracker.debian.org/news/942181/accepted-diffoscope-92-source-all-into-unstable/) was uploaded to unstable by Chris Lamb. It included [contributions already covered by posts in previous weeks](https://salsa.debian.org/reproducible-builds/diffoscope/commits/92) as well as new ones from:

- Chris Lamb:
    - New features:
        - [Add support for comparing Gnumeric spreadsheets.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f2d71c1) (Closes: [#893311](https://bugs.debian.org/893311))
        - [Show the list of supported file types in the manual and `--help` output. Thanks to Jonathan Dowland for the suggestion.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1375ec5) (Closes: [#893443](https://bugs.debian.org/893443))
    - Bug fixes:
        - [Update Java tests for `openjdk-9`.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/41da8b1) (Closes: [#893183](https://bugs.debian.org/893183))
    - Misc:
        - [Add explicit runtime dependency on `python3-distutils` as it was dropped in Python `3.6.5~rc1-2`.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/6131e2f)
        - [Use our `bin/diffoscope` wrapper in manpage generation to ensure we are using the local version of diffoscope.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/075d944)
        - [Clarify in the package description that that the Reproducible Builds project is not just about Debian.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c92c3b2)
- Mattia Rizzolo:
    - [Add the word "ignore" to the `--exclude-directory-metadata` help text.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/338af55) (Closes: [#893324](https://bugs.debian.org/893324))
- Paul Wise:
    - [Add "more" ignore terminalogy to the documentation for exclusion options.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e2e1fc1)


reprotest development
---------------------

*reprotest* is our tool to build software and check it for reproducibility.

- Chris Lamb:
    - [Add a `bin/reprotest` to match diffoscope](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=cd3db75) and [use it in our manpage generation.](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=28e4857)
    - [Drop executable bit on `doc/Makefile`](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=9a39b11)
    - [Add Holger to `Uploaders` to avoid spurious "NMU" Lintian warnings.](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=3eed0f9)


trydiffoscope development
-------------------------

*trydiffoscope* is a lightweight command-line tool to the [try.diffoscope.org](https://try.diffoscope.org/) web-based version of [diffoscope](https://diffoscope.org).

- Chris Lamb:
    - [Bump debhelper "compat" level to 11.](https://salsa.debian.org/reproducible-builds/trydiffoscope/commit/db423bc)
    - [Add `python3-distutils` to Build-Depends.](https://salsa.debian.org/reproducible-builds/trydiffoscope/commit/73efec0)
    - [Update Git URLs after moving the repository to `salsa.debian.org`.](https://salsa.debian.org/reproducible-builds/trydiffoscope/commit/6f3ffc6)


Reviews of unreproducible packages
----------------------------------

88 package reviews have been added, 109 have been updated and 18 have been removed in this week,
adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

A [`random_order_in_javahelper_manifest_files`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/cdef761f) toolchain issue was added by Chris Lamb and the [`timestamps_in_pdf_generated_by_inkscape`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/aafef906) toolchain issue was also updated with a URI to the upstream discussion.


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (66)
 - Jeremy Bicha (1)
 - Michael Olbrich (1)
 - Ole Streicher (1)
 - Sebastien KALT (1)
 - Thorsten Glaser (1)


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb & Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
