---
layout: blog
week: 157
published: 2018-05-01 19:29:46
---

![]({{ "/images/blog/157/logo.jpg" | relative_url }})

*This week's report represents the three-year anniversary of the Reproducible Builds project reporting on its activities. We would like to thank all those who have contributed over the years, in particular thanking Jérémy Bobbio for starting this.*

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday April 22 and Saturday April 28 2018:

* The Linux kernel ([commit](https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=a73619a845d5625079cc1b3b820f44c899618388)) and Das U-Boot ([commit](http://git.denx.de/?p=u-boot.git;a=commit;h=1eb2e71edd55e16562e3912881c449db69623352)) now make use of GCC's [`--macro-prefix-map` command-line argument](https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70268) to improve reproducibility build path varies.

* On April 26th, Chris Lamb gave the keynote presentation at [FLOSSUK 2018](https://www.flossuk.org/membership/spring-conference-2018/) in Edinburgh, Scotland on reproducible builds and how it can prevent individual developers and centralised infrastructure from becoming targets from malicious actors.

* In addition, on Monday 23rd Chris at [foss-north 2018](http://foss-north.se/2018/speakers-and-talks.html#clamb) in Gothenburg, Sweden to speak about [diffoscope](https://diffoscope.org), our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages.

* Elio Qoshi published a followup to our recent logo vote to [start the discussion on the typeface and colour scheme, etc.](https://lists.reproducible-builds.org/pipermail/rb-general/2018-April/000894.html) that will accompany it. Another vote is [likely to follow](https://lists.reproducible-builds.org/pipermail/rb-general/2018-April/000904.html).

* Chris Lamb migrated [this blog](https://reproducible-builds.org/blog/) and the related machinery from the deprecated (and Debian-branded) [Alioth](https://wiki.debian.org/Alioth) service to the more-generic`reproducible-builds.org` domain as well as [made some cosmetic changes](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/4590ba0)] to the site itself.

- [Mes](https://gitlab.com/janneke/mes), a Scheme-based compiler for our "sister" [bootstrappable builds](http://bootstrappable.org) effort, [announced their 0.13 release](https://lists.reproducible-builds.org/pipermail/rb-general/2018-April/000900.html).

* Paul Wise [kindly sorted the Debian dependencies](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2c30de3) in the the [diffoscope](https://diffoscope.org) codebase.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

139 [package categorisations](https://tests.reproducible-builds.org/debian/index_issues.html) were added, 71 were updated and 38 were removed this week.

* Chris Lamb:
    * [#896529](https://bugs.debian.org/896529) filed against [osmo-iuh](https://tracker.debian.org/pkg/osmo-iuh).
    * [#896867](https://bugs.debian.org/896867) filed against [ccextractor](https://tracker.debian.org/pkg/ccextractor) ([forwarded upstream](https://github.com/CCExtractor/ccextractor/pull/976)).
* Vagrant Cascadian:
    * [#896526](https://bugs.debian.org/896526) filed against [u-boot](https://tracker.debian.org/pkg/u-boot).

In addition, build failure bugs were reported by Adrian Bunk (111), Hilmar Preuße (1), Niko Tyni (1) & Sebastian Ramacher (4).

Misc.
-----

This week's edition was written by Chris Lamb, Holger Levsen and Vagrant Cascadian & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
