---
layout: blog
week: 159
published: 2018-05-15 07:20:08
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday May 6 and Saturday May 12 2018:

* [Ricardo Wurmus](http://bioinformatics.mdc-berlin.de/team.html#ricardo-wurmus) published a paper titled [Reproducible bioinformatics pipelines with Guix](https://www.gnu.org/software/guix/blog/2018/paper-on-reproducible-bioinformatics-pipelines-with-guix/) which outlines using [GNU Guix](https://www.gnu.org/software/guix/) and reproducible builds in general as a "crucial foundation for computational experiments".

* There will be two talks at the upcoming [MiniDebConfHamburg](https://wiki.debian.org/DebianEvents/de/2018/MiniDebConfHamburg) regarding Reproducible Builds which are detailed on the [event's schedule](https://wiki.debian.org/DebianEvents/de/2018/MiniDebConfHamburg#Schedule).

* There was further discussion on our mailing list regarding [the typeface and colour scheme, etc. of our logo](https://lists.reproducible-builds.org/pipermail/rb-general/2018-May/000923.html).

* 22 package reviews updated and 36 have been removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann:

  * [trackballs](https://github.com/trackballs/trackballs/pull/17) (`gzip(1)` timestamp)
  * [libtool](https://build.opensuse.org/request/show/605522) (Hostname)
  * [openSUSE/semantik](https://build.opensuse.org/request/show/605520) (Drop `.png` timestamp)

* Chris Lamb:

  * The [proposed change to make Inkscape's PDF output reproducible](https://gitlab.com/inkscape/inkscape/merge_requests/219) was merged. This was originally filed in Debian as [#893314](https://bugs.debian.org/893314).

* *kpcyrd*:

  * Filed an issue against the [Rust](https://www.rust-lang.org/) programming language regarding the [non-deterministic use of `cmpq`](https://github.com/rust-lang/rust/issues/50556) which is resulting in non-deterministic binaries, as well as started a [discussion on path remapping by default](https://github.com/rust-lang/cargo/issues/5505) for Rust's package manager, [Cargo](https://github.com/rust-lang/cargo).
  * [scdoc](https://sircmpwn.github.com/2018/05/13/scdoc.html): Use `SOURCE_DATE_EPOCH`.


diffoscope development
----------------------

[diffoscope](https://diffoscope.org) is our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages. This week, version [94](https://tracker.debian.org/news/954962/accepted-diffoscope-94-source-all-into-unstable/) was uploaded to Debian unstable and [PyPI](https://pypi.org/) by Chris Lamb. It [included contributions already convered by posts in previous weeks](https://salsa.debian.org/reproducible-builds/diffoscope/commits/94) as well as new ones from:

* Chris Lamb:
    * [Remove all `__pycache__` directories to avoid a `source-contains-empty-directory` Lintian warning](https://salsa.debian.org/reproducible-builds/diffoscope/commit/4a4dd7b).
    * [Bump Standards-Version to 4.1.4](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1968784).

Mattia Rizzolo subsequently [backported this version to `stretch`](https://tracker.debian.org/news/956137/accepted-diffoscope-94bpo91-source-into-stretch-backports/).

After the release of version `94`, the development continued with the following contributions from Mattia Rizzolo:

* [Fix handling of filenames with non-unicode characters](https://salsa.debian.org/reproducible-builds/diffoscope/commit/8202dac) ([Bug #898022](https://bugs.debian.org/898022)).
* [Use `bytes` objects as much as possible to prevent possible encoding issues](https://salsa.debian.org/reproducible-builds/diffoscope/commit/05260f0)
* [Fix a Git-related test failure on FreeBSD](https://salsa.debian.org/reproducible-builds/diffoscope/commit/dcac350) ([Bug #872826](https://bugs.debian.org/872826)).
* [Don't capture unused output from the `subprocess` module](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f789718).

disorderfs development
----------------------

Version [0.5.3-1](https://tracker.debian.org/news/956653/accepted-disorderfs-053-1-source-amd64-into-unstable/) of disorderfs (our [FUSE](https://github.com/libfuse/libfuse)-based filesystem that introduces non-determinism) was uploaded to unstable by Chris Lamb. It [included contributions already convered by posts in previous weeks](https://salsa.debian.org/reproducible-builds/disorderfs/commits/debian/0.5.3-1) as well as new ones from:

* Chris Lamb:
    * [Ensure `readdir(2)` returns consistent (and unique) inode numbers](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=39e29c4). (Closes: [#898287](https://bugs.debian.org/898287))
    * [Add `build-essential` to test dependencies for inode tests](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=2cff3c9).
    * [Move to debhelper compat level 11.](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=f2b3d5b)
    * [Bump Standards-Version to 4.1.4.](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=985b147)

jenkins.debian.net development
------------------------------

Mattia Rizzolo made the following changes to our [Jenkins](https://jenkins.io/)-based testing framework, including:

* [Expand the check for the wrong future date to additionally detect when we accidentally revert to the present](https://salsa.debian.org/qa/jenkins.debian.net/commit/b814ba1b).
* [Match another `dsa-check-running-kernel` message](https://salsa.debian.org/qa/jenkins.debian.net/commit/c7d553f6).
* [Remove `schroot` setup jobs](https://salsa.debian.org/qa/jenkins.debian.net/commit/ed022bb0) and [drop mention of `schroot` from maintenance job descriptions](https://salsa.debian.org/qa/jenkins.debian.net/commit/0d37226e).

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Mattia Rizzolo & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
