---
layout: blog
week: 54
published: 2016-05-10 21:05:16
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between May 1st and May 7th 2016:

Media coverage
--------------

There has been a surprising tweet last week: ["Props to @FiloSottile for his nifty gvt golang tool. We're using it to get reproducible builds for a Zika & West Nile monitoring project."](https://twitter.com/kennwhite/status/726785920972673024) and to our surprise Kenn confirmed privately that he indeed meant "reproducible builds" as in "bit by bit identical builds". Wow. We're looking forward to learn more details about this; for now we just know that they are doing this for software quality reasons basically.

Two of the four GSoC and Outreachy participants for Reproducible builds posted their introductions to Planet Debian:

 * [Scarlett Clark: Kubuntu: Debian: KDE: Outreachy! Yay! Upcoming changes](http://scarlettgatelyclark.com/2016/kubuntu-debian-kde-outreachy-yay-upcoming-changes/)
 * [Satyam Zode: Google Summer of Code 2016 With Debian Reproducible Builds : Introduction](https://satyamz.github.io/blog/2016/05/08/google-summer-of-code-2016-with-debian-reproducible-builds-introduction/)


Toolchain fixes and other upstream developments
-----------------------------------------------

[dpkg](https://tracker.debian.org/pkg/dpkg) 1.18.5 was uploaded fixing two bugs relevant to us:

 * [#719845](https://bugs.debian.org/719845) (make the file order within the  {data,control}.tar.gz .deb members deterministic)
 * [#819194](https://bugs.debian.org/819194) (add `-fdebug-prefix-map` to the compilers options)

This upload made it necessary to rebase our dpkg on the version on sid again, which Niko Tyni and Lunar promptly did. Then a few days later 1.18.6 was released to fix a regression in the previous upload, and Niko promptly updated our patched version again. 
Following this Niko Tyni found [#823428](https://bugs.debian.org/823428): "dpkg: many packages affected by dpkg-source: error: source package uses only weak checksums".

Alexis Bienvenüe worked on tex related packages and SOURCE_DATE_EPOCH:

 * Alexis uploaded texlive-bin to our repo [improving the existing patches](https://salsa.debian.org/reproducible-builds/texlive-bin/commits/pu/reproducible_builds).
 * pdftex upstream discussion by Alexis Bienvenüe began at [tex-k mailing list](https://www.tug.org/pipermail/tex-k/2016-May/002691.html) to make \today honour SOURCE_DATE_EPOCH. Upstream already committed enhanced versions of the proposed patches.
 * Similar discussion on the luatex side at [luatex mailing list](https://mailman.ntg.nl/pipermail/dev-luatex/2016-May/005700.html). Upstream is working on it, and already committed some changes. 

Emmanuel Bourg uploaded [jflex](https://tracker.debian.org/pkg/jflex)/1.4.3+dfsg-2, which removes timestamps from generated files.

Packages fixed
--------------


The following 285 packages have become reproducible due to changes in their
build dependencies (mostly from GCC honouring SOURCE_DATE_EPOCH, see [the previous week report](https://reproducible.alioth.debian.org/blog/posts/53/)):
[0ad](https://tracker.debian.org/0ad)
[abiword](https://tracker.debian.org/abiword)
[abcm2ps](https://tracker.debian.org/abcm2ps)
[acedb](https://tracker.debian.org/acedb)
[acpica-unix](https://tracker.debian.org/acpica-unix)
[actiona](https://tracker.debian.org/actiona)
[alliance](https://tracker.debian.org/alliance)
[amarok](https://tracker.debian.org/amarok)
[amideco](https://tracker.debian.org/amideco)
[amsynth](https://tracker.debian.org/amsynth)
[anjuta](https://tracker.debian.org/anjuta)
[aolserver4-nsmysql](https://tracker.debian.org/aolserver4-nsmysql)
[aolserver4-nsopenssl](https://tracker.debian.org/aolserver4-nsopenssl)
[aolserver4-nssqlite3](https://tracker.debian.org/aolserver4-nssqlite3)
[apbs](https://tracker.debian.org/apbs)
[aqsis](https://tracker.debian.org/aqsis)
[aria2](https://tracker.debian.org/aria2)
[ascd](https://tracker.debian.org/ascd)
[ascii2binary](https://tracker.debian.org/ascii2binary)
[atheme-services](https://tracker.debian.org/atheme-services)
[audacity](https://tracker.debian.org/audacity)
[autodocksuite](https://tracker.debian.org/autodocksuite)
[avis](https://tracker.debian.org/avis)
[awardeco](https://tracker.debian.org/awardeco)
[bacula](https://tracker.debian.org/bacula)
[ballerburg](https://tracker.debian.org/ballerburg)
[bb](https://tracker.debian.org/bb)
[berusky](https://tracker.debian.org/berusky)
[berusky2](https://tracker.debian.org/berusky2)
[bindechexascii](https://tracker.debian.org/bindechexascii)
[binkd](https://tracker.debian.org/binkd)
[boinc](https://tracker.debian.org/boinc)
[boost1.58](https://tracker.debian.org/boost1.58)
[boost1.60](https://tracker.debian.org/boost1.60)
[bwctl](https://tracker.debian.org/bwctl)
[cairo-dock](https://tracker.debian.org/cairo-dock)
[cd-hit](https://tracker.debian.org/cd-hit)
[cenon.app](https://tracker.debian.org/cenon.app)
[chipw](https://tracker.debian.org/chipw)
[ckermit](https://tracker.debian.org/ckermit)
[clp](https://tracker.debian.org/clp)
[clustalo](https://tracker.debian.org/clustalo)
[cmatrix](https://tracker.debian.org/cmatrix)
[coinor-cbc](https://tracker.debian.org/coinor-cbc)
[commons-pool](https://tracker.debian.org/commons-pool)
[cppformat](https://tracker.debian.org/cppformat)
[crashmail](https://tracker.debian.org/crashmail)
[crrcsim](https://tracker.debian.org/crrcsim)
[csvimp](https://tracker.debian.org/csvimp)
[cyphesis-cpp](https://tracker.debian.org/cyphesis-cpp)
[dact](https://tracker.debian.org/dact)
[dar](https://tracker.debian.org/dar)
[darcs](https://tracker.debian.org/darcs)
[darkradiant](https://tracker.debian.org/darkradiant)
[dcap](https://tracker.debian.org/dcap)
[dia](https://tracker.debian.org/dia)
[distcc](https://tracker.debian.org/distcc)
[dolphin-emu](https://tracker.debian.org/dolphin-emu)
[drumkv1](https://tracker.debian.org/drumkv1)
[dtach](https://tracker.debian.org/dtach)
[dune-localfunctions](https://tracker.debian.org/dune-localfunctions)
[dvbsnoop](https://tracker.debian.org/dvbsnoop)
[dvbstreamer](https://tracker.debian.org/dvbstreamer)
[eclib](https://tracker.debian.org/eclib)
[ed2k-hash](https://tracker.debian.org/ed2k-hash)
[edfbrowser](https://tracker.debian.org/edfbrowser)
[efax-gtk](https://tracker.debian.org/efax-gtk)
[efax](https://tracker.debian.org/efax)
[exonerate](https://tracker.debian.org/exonerate)
[f-irc](https://tracker.debian.org/f-irc)
[fakepop](https://tracker.debian.org/fakepop)
[fbb](https://tracker.debian.org/fbb)
[filezilla](https://tracker.debian.org/filezilla)
[fityk](https://tracker.debian.org/fityk)
[flasm](https://tracker.debian.org/flasm)
[flightgear](https://tracker.debian.org/flightgear)
[fluxbox](https://tracker.debian.org/fluxbox)
[fmit](https://tracker.debian.org/fmit)
[fossil](https://tracker.debian.org/fossil)
[freedink-dfarc](https://tracker.debian.org/freedink-dfarc)
[freehdl](https://tracker.debian.org/freehdl)
[freemedforms-project](https://tracker.debian.org/freemedforms-project)
[freeplayer](https://tracker.debian.org/freeplayer)
[freeradius](https://tracker.debian.org/freeradius)
[fxload](https://tracker.debian.org/fxload)
[gdb-arm-none-eabi](https://tracker.debian.org/gdb-arm-none-eabi)
[geany-plugins](https://tracker.debian.org/geany-plugins)
[geany](https://tracker.debian.org/geany)
[geda-gaf](https://tracker.debian.org/geda-gaf)
[gfm](https://tracker.debian.org/gfm)
[gif2png](https://tracker.debian.org/gif2png)
[giflib](https://tracker.debian.org/giflib)
[gifticlib](https://tracker.debian.org/gifticlib)
[glaurung](https://tracker.debian.org/glaurung)
[glusterfs](https://tracker.debian.org/glusterfs)
[gnokii](https://tracker.debian.org/gnokii)
[gnubiff](https://tracker.debian.org/gnubiff)
[gnugk](https://tracker.debian.org/gnugk)
[goaccess](https://tracker.debian.org/goaccess)
[gocr](https://tracker.debian.org/gocr)
[goldencheetah](https://tracker.debian.org/goldencheetah)
[gom](https://tracker.debian.org/gom)
[gopchop](https://tracker.debian.org/gopchop)
[gosmore](https://tracker.debian.org/gosmore)
[gpsim](https://tracker.debian.org/gpsim)
[gputils](https://tracker.debian.org/gputils)
[grcompiler](https://tracker.debian.org/grcompiler)
[grisbi](https://tracker.debian.org/grisbi)
[gtkpod](https://tracker.debian.org/gtkpod)
[gvpe](https://tracker.debian.org/gvpe)
[hardlink](https://tracker.debian.org/hardlink)
[haskell-github](https://tracker.debian.org/haskell-github)
[hashrat](https://tracker.debian.org/hashrat)
[hatari](https://tracker.debian.org/hatari)
[herculesstudio](https://tracker.debian.org/herculesstudio)
[hpcc](https://tracker.debian.org/hpcc)
[hypre](https://tracker.debian.org/hypre)
[i2util](https://tracker.debian.org/i2util)
[incron](https://tracker.debian.org/incron)
[infiniband-diags](https://tracker.debian.org/infiniband-diags)
[infon](https://tracker.debian.org/infon)
[ips](https://tracker.debian.org/ips)
[iptotal](https://tracker.debian.org/iptotal)
[ipv6calc](https://tracker.debian.org/ipv6calc)
[iqtree](https://tracker.debian.org/iqtree)
[jabber-muc](https://tracker.debian.org/jabber-muc)
[jama](https://tracker.debian.org/jama)
[jamnntpd](https://tracker.debian.org/jamnntpd)
[janino](https://tracker.debian.org/janino)
[jcharts](https://tracker.debian.org/jcharts)
[joy2key](https://tracker.debian.org/joy2key)
[jpilot](https://tracker.debian.org/jpilot)
[jumpnbump](https://tracker.debian.org/jumpnbump)
[jvim](https://tracker.debian.org/jvim)
[kanatest](https://tracker.debian.org/kanatest)
[kbuild](https://tracker.debian.org/kbuild)
[kchmviewer](https://tracker.debian.org/kchmviewer)
[konclude](https://tracker.debian.org/konclude)
[krename](https://tracker.debian.org/krename)
[kscope](https://tracker.debian.org/kscope)
[kvpnc](https://tracker.debian.org/kvpnc)
[latexdiff](https://tracker.debian.org/latexdiff)
[lcrack](https://tracker.debian.org/lcrack)
[leocad](https://tracker.debian.org/leocad)
[libace-perl](https://tracker.debian.org/libace-perl)
[libcaca](https://tracker.debian.org/libcaca)
[libcgicc](https://tracker.debian.org/libcgicc)
[libdap](https://tracker.debian.org/libdap)
[libdbi-drivers](https://tracker.debian.org/libdbi-drivers)
[libewf](https://tracker.debian.org/libewf)
[libjlayer-java](https://tracker.debian.org/libjlayer-java)
[libkcompactdisc](https://tracker.debian.org/libkcompactdisc)
[liblscp](https://tracker.debian.org/liblscp)
[libmp3spi-java](https://tracker.debian.org/libmp3spi-java)
[libpwiz](https://tracker.debian.org/libpwiz)
[librecad](https://tracker.debian.org/librecad)
[libspin-java](https://tracker.debian.org/libspin-java)
[libuninum](https://tracker.debian.org/libuninum)
[libzypp](https://tracker.debian.org/libzypp)
[lightdm-gtk-greeter](https://tracker.debian.org/lightdm-gtk-greeter)
[lighttpd](https://tracker.debian.org/lighttpd)
[linpac](https://tracker.debian.org/linpac)
[lookup](https://tracker.debian.org/lookup)
[lz4](https://tracker.debian.org/lz4)
[lzop](https://tracker.debian.org/lzop)
[maitreya](https://tracker.debian.org/maitreya)
[meshlab](https://tracker.debian.org/meshlab)
[mgetty](https://tracker.debian.org/mgetty)
[mhwaveedit](https://tracker.debian.org/mhwaveedit)
[minbif](https://tracker.debian.org/minbif)
[minc-tools](https://tracker.debian.org/minc-tools)
[moc](https://tracker.debian.org/moc)
[mrtrix](https://tracker.debian.org/mrtrix)
[mscompress](https://tracker.debian.org/mscompress)
[msort](https://tracker.debian.org/msort)
[mudlet](https://tracker.debian.org/mudlet)
[multiwatch](https://tracker.debian.org/multiwatch)
[mysecureshell](https://tracker.debian.org/mysecureshell)
[nifticlib](https://tracker.debian.org/nifticlib)
[nkf](https://tracker.debian.org/nkf)
[noblenote](https://tracker.debian.org/noblenote)
[nqc](https://tracker.debian.org/nqc)
[numactl](https://tracker.debian.org/numactl)
[numad](https://tracker.debian.org/numad)
[octave-optim](https://tracker.debian.org/octave-optim)
[omega-rpg](https://tracker.debian.org/omega-rpg)
[open-cobol](https://tracker.debian.org/open-cobol)
[openmama](https://tracker.debian.org/openmama)
[openmprtl](https://tracker.debian.org/openmprtl)
[openrpt](https://tracker.debian.org/openrpt)
[opensm](https://tracker.debian.org/opensm)
[openvpn](https://tracker.debian.org/openvpn)
[openvswitch](https://tracker.debian.org/openvswitch)
[owx](https://tracker.debian.org/owx)
[pads](https://tracker.debian.org/pads)
[parsinsert](https://tracker.debian.org/parsinsert)
[pcb](https://tracker.debian.org/pcb)
[pd-hcs](https://tracker.debian.org/pd-hcs)
[pd-hexloader](https://tracker.debian.org/pd-hexloader)
[pd-hid](https://tracker.debian.org/pd-hid)
[pd-libdir](https://tracker.debian.org/pd-libdir)
[pear-channels](https://tracker.debian.org/pear-channels)
[pgn-extract](https://tracker.debian.org/pgn-extract)
[phnxdeco](https://tracker.debian.org/phnxdeco)
[php-amqp](https://tracker.debian.org/php-amqp)
[php-apcu-bc](https://tracker.debian.org/php-apcu-bc)
[php-apcu](https://tracker.debian.org/php-apcu)
[php-solr](https://tracker.debian.org/php-solr)
[pidgin-librvp](https://tracker.debian.org/pidgin-librvp)
[plan](https://tracker.debian.org/plan)
[plymouth](https://tracker.debian.org/plymouth)
[pnscan](https://tracker.debian.org/pnscan)
[pocketsphinx](https://tracker.debian.org/pocketsphinx)
[polygraph](https://tracker.debian.org/polygraph)
[portaudio19](https://tracker.debian.org/portaudio19)
[postbooks-updater](https://tracker.debian.org/postbooks-updater)
[postbooks](https://tracker.debian.org/postbooks)
[powertop](https://tracker.debian.org/powertop)
[previsat](https://tracker.debian.org/previsat)
[progressivemauve](https://tracker.debian.org/progressivemauve)
[puredata-import](https://tracker.debian.org/puredata-import)
[pycurl](https://tracker.debian.org/pycurl)
[qjackctl](https://tracker.debian.org/qjackctl)
[qmidinet](https://tracker.debian.org/qmidinet)
[qsampler](https://tracker.debian.org/qsampler)
[qsopt-ex](https://tracker.debian.org/qsopt-ex)
[qsynth](https://tracker.debian.org/qsynth)
[qtractor](https://tracker.debian.org/qtractor)
[quassel](https://tracker.debian.org/quassel)
[quelcom](https://tracker.debian.org/quelcom)
[quickplot](https://tracker.debian.org/quickplot)
[qxgedit](https://tracker.debian.org/qxgedit)
[ratpoison](https://tracker.debian.org/ratpoison)
[rlpr](https://tracker.debian.org/rlpr)
[robojournal](https://tracker.debian.org/robojournal)
[samplv1](https://tracker.debian.org/samplv1)
[sanlock](https://tracker.debian.org/sanlock)
[saods9](https://tracker.debian.org/saods9)
[schism](https://tracker.debian.org/schism)
[scorched3d](https://tracker.debian.org/scorched3d)
[scummvm-tools](https://tracker.debian.org/scummvm-tools)
[sdlbasic](https://tracker.debian.org/sdlbasic)
[sgrep](https://tracker.debian.org/sgrep)
[simh](https://tracker.debian.org/simh)
[sinfo](https://tracker.debian.org/sinfo)
[sip-tester](https://tracker.debian.org/sip-tester)
[sludge](https://tracker.debian.org/sludge)
[sniffit](https://tracker.debian.org/sniffit)
[sox](https://tracker.debian.org/sox)
[spd](https://tracker.debian.org/spd)
[speex](https://tracker.debian.org/speex)
[stimfit](https://tracker.debian.org/stimfit)
[swarm-cluster](https://tracker.debian.org/swarm-cluster)
[synfig](https://tracker.debian.org/synfig)
[synthv1](https://tracker.debian.org/synthv1)
[syslog-ng](https://tracker.debian.org/syslog-ng)
[tart](https://tracker.debian.org/tart)
[tessa](https://tracker.debian.org/tessa)
[theseus](https://tracker.debian.org/theseus)
[thunar-vcs-plugin](https://tracker.debian.org/thunar-vcs-plugin)
[ticcutils](https://tracker.debian.org/ticcutils)
[tickr](https://tracker.debian.org/tickr)
[tilp2](https://tracker.debian.org/tilp2)
[timbl](https://tracker.debian.org/timbl)
[timblserver](https://tracker.debian.org/timblserver)
[tkgate](https://tracker.debian.org/tkgate)
[transtermhp](https://tracker.debian.org/transtermhp)
[tstools](https://tracker.debian.org/tstools)
[tvoe](https://tracker.debian.org/tvoe)
[ucarp](https://tracker.debian.org/ucarp)
[ultracopier](https://tracker.debian.org/ultracopier)
[undbx](https://tracker.debian.org/undbx)
[uni2ascii](https://tracker.debian.org/uni2ascii)
[uniutils](https://tracker.debian.org/uniutils)
[universalindentgui](https://tracker.debian.org/universalindentgui)
[util-vserver](https://tracker.debian.org/util-vserver)
[uudeview](https://tracker.debian.org/uudeview)
[vfu](https://tracker.debian.org/vfu)
[virtualjaguar](https://tracker.debian.org/virtualjaguar)
[vmpk](https://tracker.debian.org/vmpk)
[voms](https://tracker.debian.org/voms)
[voxbo](https://tracker.debian.org/voxbo)
[vpcs](https://tracker.debian.org/vpcs)
[wipe](https://tracker.debian.org/wipe)
[x264](https://tracker.debian.org/x264)
[xcfa](https://tracker.debian.org/xcfa)
[xfrisk](https://tracker.debian.org/xfrisk)
[xmorph](https://tracker.debian.org/xmorph)
[xmount](https://tracker.debian.org/xmount)
[xyscan](https://tracker.debian.org/xyscan)
[yacas](https://tracker.debian.org/yacas)
[yasm](https://tracker.debian.org/yasm)
[z88dk](https://tracker.debian.org/z88dk)
[zeal](https://tracker.debian.org/zeal)
[zsync](https://tracker.debian.org/zsync)
[zynaddsubfx](https://tracker.debian.org/zynaddsubfx)

Last week the 1000th bug usertagged "reproducible" was fixed! This means roughly 2 bugs per day since 2015-01-01. Kudos and huge thanks to everyone involved! Please also note: FTBFS packages have not been counted here and there are still 600 open bugs with reproducible patches provided. Please help bringing that number down to 0!

The following packages have become reproducible after being fixed:

 * [crawl](https://tracker.debian.org/pkg/crawl)/2:0.18.0-1 by Adam Borowski, [#823383](https://bugs.debian.org/823383) by Alexis Bienvenüe.
 * [eigenbase-resgen](https://tracker.debian.org/pkg/eigenbase-resgen)/1.3.0.13768-3 by Emmanuel Bourg.
 * [fpga-icestorm](https://tracker.debian.org/pkg/fpga-icestorm)/0~20160218gitf2b2549-2 by Ruben Undheim, [#823616](https://bugs.debian.org/823616) by Daniel Shahaf.
 * [gap](https://tracker.debian.org/pkg/gap)/4r8p3-3 by Bill Allombert, [#821302](https://bugs.debian.org/821302) by Jerome Benoit.
 * [libksba](https://tracker.debian.org/pkg/libksba)/1.3.4-1 by Andreas Metzler.
 * [libusb](https://tracker.debian.org/pkg/libusb)/2:0.1.12-29 by Aurelien Jarno, [#823123](https://bugs.debian.org/823123) by Daniel Shahaf.
 * [milkytracker](https://tracker.debian.org/pkg/milkytracker)/0.90.86+dfsg-1 by James Cowgill.
 * [mp4h](https://tracker.debian.org/pkg/mp4h)/1.3.1-15 by Axel Beckert.
 * [rdtool](https://tracker.debian.org/pkg/rdtool)/0.6.38-4 by Christian Hofstaedtler, [#820144](https://bugs.debian.org/820144) by Alexis Bienvenüe.
 * [sympow](https://tracker.debian.org/pkg/sympow)/1.023-7 by Jerome Benoit.

Some uploads have fixed some reproducibility issues, but not all of them:

 * [freefem++](https://tracker.debian.org/pkg/freefem++)/3.46+dfsg1-2 by Dimitrios Eftaxiopoulosis, [#820815](https://bugs.debian.org/820815) by Alexis Bienvenüe.
 * [jaligner](https://tracker.debian.org/pkg/jaligner)/1.0+dfsg-2 by Michael R. Crusoe.
 * [keyutils](https://tracker.debian.org/pkg/keyutils)/1.5.9-9 by Christian Kastner.
 * [shotwell](https://tracker.debian.org/pkg/shotwell)/0.22.1-1 by Jörg Frings-Fürst.

Uploads which fix reproducibility issues, but currently FTBFS:

 * [emoslib](https://tracker.debian.org/pkg/emoslib)/2:4.4.1-1 by Alastair McKinstry, [#821356](https://bugs.debian.org/821356) by boyska.

Patches submitted that have not made their way to the archive yet:

 * [#823174](https://bugs.debian.org/823174) against [ros-pluginlib](https://tracker.debian.org/pkg/ros-pluginlib) by Daniel Shahaf: use *printf* instead of *echo* to fix implementation-specific behavior.
 * [#823239](https://bugs.debian.org/823239) against [gspiceui](https://tracker.debian.org/pkg/gspiceui) by Alexis Bienvenüe: sort list of object files for linking binary.
 * [#823241](https://bugs.debian.org/823241) against [unhide](https://tracker.debian.org/pkg/unhide) by Alexis Bienvenüe: sort list of source files passed to compiler.
 * [#823393](https://bugs.debian.org/823393) against [kdbg](https://tracker.debian.org/pkg/kdbg) by Alexis Bienvenüe: fix changelog encoding and call grep in text mode.
 * [#823452](https://bugs.debian.org/823452) against [khronos-opengl-man4](https://tracker.debian.org/pkg/khronos-opengl-man4) by Daniel Shahaf: sort file lists deterministically.

Package reviews
---------------

54 reviews have been added, 6 have been updated and 44 have been removed in this week.

18 FTBFS bugs have been reported by Chris Lamb, James Cowgill and Niko Tyni.

diffoscope development
----------------------

Thanks to Mattia, diffoscope 52~bpo8+1 is available in jessie-backports now.

tests.reproducible-builds.org
-----------------------

 * All packages from all tested suites have finally been built on i386.
 * Due to GCC supporting SOURCE_DATE_EPOCH sid/armhf has finally reached 20k reproducible packages and sid/amd64 has even reached 21k reproducible packages. (These numbers are about our test setup. The numbers for the Debian archive are still all 0. [dpkg](https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=dpkg&users=reproducible-builds@lists.alioth.debian.org&archive=both&tag=toolchain&tag=infrastructure&tag=timestamps&tag=fileordering&tag=buildpath&tag=username&tag=hostname&tag=uname&tag=randomness&tag=buildinfo&tag=cpu&tag=signatures&tag=environment&tag=umask&tag=ftbfs&tag=locale) and dak need to be fixed to get the numbers above 0.)
 * IRC notifications for non-Debian related jenkins job results go to #reproducible-builds now, while Debian related notifications stay on #debian-reproducible. (h01ger)
 * profitbricks-build4-amd64 has been fully set up now and is running 398 days in the future. Next: update coreboot/OpenWrt/Fedora/Archlinux/FreeBSD/NetBSD scripts to use it. Help (in form of patches to existing shell scripts) very much welcome! ([Other help is much welcome (and needed) too](https://jenkins.debian.net/userContent/todo.html), but some things might take longer to merge or explain…)

Misc.
-----

This week's edition was written by Reiner Herrmann, Holger Levsen and Mattia Rizzolo and reviewed by a bunch of Reproducible builds folks on IRC.
Mattia also wrote a small ikiwiki macro for this blog to ease linking reproducible issues, packages in the package tracker and bugs in the Debian BTS.
