---
layout: blog
week: 55
published: 2016-05-17 23:05:12
---

What happened in the [Reproducible Builds](https://wiki.debian.org/ReproducibleBuilds) effort between May 8th and May 14th 2016:


Documentation updates
---------------------

 * Ximin Luo spent some work on improving and updating our documentation:
   * updated the SOURCE_DATE_EPOCH adoption page at [wiki.debian.org/ReproducibleBuilds/TimestampsProposal](https://wiki.debian.org/ReproducibleBuilds/TimestampsProposal) with a compilation of our reasonings versus common arguments encountered with package maintainers and upstream developers.
   * updated [wiki.debian.org/ReproducibleBuilds/Howto](https://wiki.debian.org/ReproducibleBuilds/Howto)
   * and also moved resolved issues to [wiki.debian.org/ReproducibleBuilds/OldIssues](https://wiki.debian.org/ReproducibleBuilds/OldIssues).
 * [https://salsa.debian.org/reproducible-builds/](https://salsa.debian.org/reproducible-builds/) has been cleaned up by Ximin, including the removal of the link from diffoscope.git to debbindiff.git.

Toolchain fixes
---------------

 * [dpkg](https://tracker.debian.org/pkg/dpkg) 1.18.7 has been uploaded to unstable, after which Mattia Rizzolo took care of rebasing [our patched version](https://salsa.debian.org/reproducible-builds/dpkg.git/commit/?h=pu/1.18.7.0_reproducible0&id=62ccd2d2474dec7cf256f71f1e682ca70491d668).
   * this prompted h01ger to [restart the discussion about reproducible dpkg for sid and stretch](https://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20160509/005408.html)
   * to which [Guillem replied with a status update](https://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20160509/005418.html).
 * [gcc-5](https://tracker.debian.org/pkg/gcc-5) and [gcc-6](https://tracker.debian.org/pkg/gcc-6) migrated to testing with the patch to honour `SOURCE_DATE_EPOCH`
 * Ximin Luo started an [upstream discussion](http://bugs.ghostscript.com/show_bug.cgi?id=696765) with the Ghostscript developers.
 * Norbert Preining has uploaded a new version of [texlive-bin](https://tracker.debian.org/pkg/texlive-bin) with these changes relevant to us:
   * imported Upstream version 2016.20160512.41045
     support for suppressing timestamps (`SOURCE_DATE_EPOCH`) (Closes: [#792202](https://bugs.debian.org/792202))
   * add support for `SOURCE_DATE_EPOCH` also to luatex
 * [cdbs](https://tracker.debian.org/pkg/cdbs) 0.4.131 has been uploaded to unstable by Jonas Smedegaard, fixing these issues relevant to us:
   * [#794241](https://bugs.debian.org/794241): export `SOURCE_DATE_EPOCH`.  [Original patch](https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=794241;msg=5;filename=cdbs.diff;att=1) by akira
   * [#764478](https://bugs.debian.org/764478): call dh_strip_nondeterminism if available.  Original patch by Holger Levsen
 * [libxslt](https://tracker.debian.org/pkg/libxslt) 1.1.28-3 has been uploaded to unstable by Mattia Rizzolo, fixing the following toolchain issues:
   * [#823857](https://bugs.debian.org/823857): backport patch from upstream to provide stable IDs in the generated documents.
   * [#791815](https://bugs.debian.org/791815): Honour `SOURCE_DATE_EPOCH` when embedding timestamps in docs.  [Patch](https://bugzilla.gnome.org/show_bug.cgi?id=758148) by Eduard Sanou.

Packages fixed
--------------

The following 28 packages have become newly reproducible due to changes in
their build dependencies:
[actor-framework](https://tracker.debian.org/pkg/actor-framework)
[ask](https://tracker.debian.org/pkg/ask)
[asterisk-prompt-fr-armelle](https://tracker.debian.org/pkg/asterisk-prompt-fr-armelle)
[asterisk-prompt-fr-proformatique](https://tracker.debian.org/pkg/asterisk-prompt-fr-proformatique)
[coccinelle](https://tracker.debian.org/pkg/coccinelle)
[cwebx](https://tracker.debian.org/pkg/cwebx)
[d-itg](https://tracker.debian.org/pkg/d-itg)
[device-tree-compiler](https://tracker.debian.org/pkg/device-tree-compiler)
[flann](https://tracker.debian.org/pkg/flann)
[fortunes-es](https://tracker.debian.org/pkg/fortunes-es)
[idlastro](https://tracker.debian.org/pkg/idlastro)
[jabref](https://tracker.debian.org/pkg/jabref)
[konclude](https://tracker.debian.org/pkg/konclude)
[latexdiff](https://tracker.debian.org/pkg/latexdiff)
[libint](https://tracker.debian.org/pkg/libint)
[minlog](https://tracker.debian.org/pkg/minlog)
[modplugtools](https://tracker.debian.org/pkg/modplugtools)
[mummer](https://tracker.debian.org/pkg/mummer)
[mwrap](https://tracker.debian.org/pkg/mwrap)
[mxallowd](https://tracker.debian.org/pkg/mxallowd)
[mysql-mmm](https://tracker.debian.org/pkg/mysql-mmm)
[ocaml-atd](https://tracker.debian.org/pkg/ocaml-atd)
[ocamlviz](https://tracker.debian.org/pkg/ocamlviz)
[postbooks](https://tracker.debian.org/pkg/postbooks)
[pycorrfit](https://tracker.debian.org/pkg/pycorrfit)
[pyscanfcs](https://tracker.debian.org/pkg/pyscanfcs)
[python-pcs](https://tracker.debian.org/pkg/python-pcs)
[weka](https://tracker.debian.org/pkg/weka)

The following 9 packages had older versions which were reproducible, and
their latest versions are now reproducible again due to changes in their
build dependencies:
[csync2](https://tracker.debian.org/pkg/csync2)
[dune-common](https://tracker.debian.org/pkg/dune-common)
[dune-localfunctions](https://tracker.debian.org/pkg/dune-localfunctions)
[libcommons-jxpath-java](https://tracker.debian.org/pkg/libcommons-jxpath-java)
[libcommons-logging-java](https://tracker.debian.org/pkg/libcommons-logging-java)
[libstax-java](https://tracker.debian.org/pkg/libstax-java)
[libyanfs-java](https://tracker.debian.org/pkg/libyanfs-java)
[python-daemon](https://tracker.debian.org/pkg/python-daemon)
[yacas](https://tracker.debian.org/pkg/yacas)

The following packages have become newly reproducible after being fixed:

 * [asymptote](https://tracker.debian.org/pkg/asymptote)/2.38-1 by Norbert Preining, [#823824](https://bugs.debian.org/823824) by Alexis Bienvenüe.
 * [bnd](https://tracker.debian.org/pkg/bnd)/2.4.1-4 by Emmanuel Bourg.
 * [cgal](https://tracker.debian.org/pkg/cgal)/4.8-4 by Joachim Reichel.
 * [courier](https://tracker.debian.org/pkg/courier)/0.76.1-2 by Ondřej Surý, [#824037](https://bugs.debian.org/824037) by Alexis Bienvenüe.
 * [dict-foldoc](https://tracker.debian.org/pkg/dict-foldoc)/20160505-1 by Iustin Pop, [#792528](https://bugs.debian.org/792528) by Reiner Herrmann.
 * [emoslib](https://tracker.debian.org/pkg/emoslib)/2:4.4.1-2 by Alastair McKinstry, [#821356](https://bugs.debian.org/821356) by boyska.
 * [libksba](https://tracker.debian.org/pkg/libksba)/1.3.4-3 by Andreas Metzler.
 * [mp4h](https://tracker.debian.org/pkg/mp4h)/1.3.1-15 by Axel Beckert.
 * [stk](https://tracker.debian.org/pkg/stk)/4.5.2+dfsg-2 by Felipe Sateler, [#822566](https://bugs.debian.org/822566) by Alexis Bienvenüe.
 * [sympow](https://tracker.debian.org/pkg/sympow)/1.023-7 by Jerome Benoit.
 * [x11proto-input](https://tracker.debian.org/pkg/x11proto-input)/2.3.2-1 by Julien Cristau, [#795981](https://bugs.debian.org/795981) by Eduard Sanou.

The following packages had older versions which were reproducible, and
their latest versions are now reproducible again after being fixed:

 * [klibc](https://tracker.debian.org/pkg/klibc)/2.0.4-9 by Ben Hutchings.

Some uploads have fixed some reproducibility issues, but not all of them:

 * [allegro4.4](https://tracker.debian.org/pkg/allegro4.4)/2:4.4.2-8 by Andreas Rönnquist, [#823879](https://bugs.debian.org/823879) by Daniel Shahaf.
 * [gearmand](https://tracker.debian.org/pkg/gearmand)/1.0.6-7 by Alexandre Mestiashvili, [#790380](https://bugs.debian.org/790380) by Chris Lamb.
 * [mame](https://tracker.debian.org/pkg/mame)/0.172-1 by Jordi Mallach.
 * [python-babel](https://tracker.debian.org/pkg/python-babel)/1.3+dfsg.1-7 by Jean-Michel Vourgère, [#795997](https://bugs.debian.org/795997) by Val Lorentz.
 * [openttd](https://tracker.debian.org/pkg/openttd)/1.6.0-1 by Matthijs Kooijman.
 * [blender](https://tracker.debian.org/pkg/blender)/2.77.a+dfsg0-4 by Matteo F. Vescovi, [#823940](https://bugs.debian.org/823940) by Campbell Burton.
 * [unburden-home-dir](https://tracker.debian.org/pkg/unburden-home-dir)/0.4 by Axel Beckert.
 * [refpolicy](https://tracker.debian.org/pkg/refpolicy)/2:2.20140421-10 by Laurent Bigonville, [#778232](https://bugs.debian.org/778232) by Chris Lamb.
 * [kdiff3](https://tracker.debian.org/pkg/kdiff3)/0.9.98-3 by Eike Sauer.

Patches submitted that have not made their way to the archive yet:

 * [#787424](https://bugs.debian.org/787424) against [emacs24](https://tracker.debian.org/pkg/emacs24) by Alexis Bienvenüe: order hashes when generating .el files
 * [#823764](https://bugs.debian.org/823764) against [sen](https://tracker.debian.org/pkg/sen) by Daniel Shahaf: render the build timestamp in a consistent timezone
 * [#823797](https://bugs.debian.org/823797) against [openclonk](https://tracker.debian.org/pkg/openclonk) by Alexis Bienvenüe: honour `SOURCE_DATE_EPOCH`
 * [#823961](https://bugs.debian.org/823961) against [herbstluftwm](https://tracker.debian.org/pkg/herbstluftwm) by Fabian Wolff: honour `SOURCE_DATE_EPOCH`
 * [#824049](https://bugs.debian.org/824049) against [emacs24](https://tracker.debian.org/pkg/emacs24) by Alexis Bienvenüe: make start value of gensym-counter reproducible
 * [#824050](https://bugs.debian.org/824050) against [emacs24](https://tracker.debian.org/pkg/emacs24) by Alexis Bienvenüe: make autoloads files reproducible
 * [#824182](https://bugs.debian.org/824182) against [codeblocks](https://tracker.debian.org/pkg/codeblocks) by Fabian Wolff: honour `SOURCE_DATE_EPOCH`
 * [#824263](https://bugs.debian.org/824263) against [cmake](https://tracker.debian.org/pkg/cmake) by Reiner Herrmann: sort file lists from `file(GLOB ...)`

Package reviews
---------------

344 reviews have been added, 125 have been updated and 20 have been removed in this week.

14 FTBFS bugs have been reported by Chris Lamb.

tests.reproducible-builds.org
-----------------------------

 * bpi0 has been reinstalled with a new ssd. (vagrant/h01ger)
 * A new navigation menu for the Debian pages at [https://tests.reproducible-builds.org/](https://tests.reproducible-builds.org/) has been implemented. (h01ger)

Misc.
-----

Dan Kegel sent a mail to report about his experiments with a [reproducible dpkg PPA for Ubuntu](https://lists.reproducible-builds.org/pipermail/rb-general/2016-May/000039.html). According to him `sudo add-apt-repository ppa:dank/dpkg && sudo apt-get update && sudo apt-get install dpkg` should be enough to get reproducible builds on Ubuntu 16.04.

This week's edition was written by Ximin Luo and Holger Levsen and reviewed by a bunch of Reproducible builds folks on IRC.
