---
layout: blog
week: 75
published: 2016-10-06 14:10:57
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday September 25 and Saturday October 1 2016:

Statistics…
-----------

For the first time, we reached 91% reproducible packages in our testing framework on
[testing/amd64](https://tests.reproducible-builds.org/debian/testing/index_suite_amd64_stats.html) using a deterministic build path. (This is what we recommend to make packages in Stretch reproducible.)
For unstable/amd64, where we additionally test for reproducibility across
different build paths we are at almost 76% again.

IRC meetings
------------

We have a [poll to set a time for a new regular IRC meeting](https://deb.li/2vse).
If you would like to attend, please input your available times and we will try
to accommodate for you.

There was a trial IRC meeting on Friday, 2016-09-31 1800 UTC. Unfortunately, we
did not activate [meetbot](http://meetbot.debian.net/debian-reproducible/2016/).
Despite this participants consider the meeting a success as several topics where
discussed (eg changes to IRC notifications of tests.r-b.o) and the meeting stayed
within one our length.


Upcoming events
---------------

[Reproduce and Verify Filesystems](https://linuxconcontainerconeurope2016.sched.org/event/7oI3/reproduce-and-verify-filesystems-vincent-batts-red-hat)
- Vincent Batts, Red Hat - Berlin (Germany), 5th October, 14:30 - 15:20 @
LinuxCon + ContainerCon Europe 2016.

[From Reproducible Debian builds to Reproducible OpenWrt, LEDE &
coreboot](http://openwrtsummit.org/#sessions) - Holger "h01ger" Levsen and
Alexander "lynxis" Couzens - Berlin (Germany), 13th October, 11:00 - 11:25 @
OpenWrt Summit 2016.

[Introduction to Reproducible
Builds](https://osem.seagl.org/conference/seagl2016/program/proposal/166)
- Vagrant Cascadian will be presenting at the SeaGL.org Conference In
Seattle (USA), November 11th-12th, 2016.

Previous events
---------------

[GHC Determinism](http://conf.researchr.org/event/icfp-2016/hiw-2016-papers-ghc-determinism)
- Bartosz Nitka, Facebook - Nara (Japan), 24th September, ICPF 2016.


Toolchain development and fixes
-------------------------------

Michael Meskes uploaded [bsdmainutils](https://tracker.debian.org/pkg/bsdmainutils)/9.0.11 to unstable with a fix
for [#830259](https://bugs.debian.org/830259) based on Reiner Herrmann's patch.  This fixed [locale_dependent_symbol_order_by_lorder](https://tests.reproducible-builds.org/issues/unstable/locale_dependent_symbol_order_by_lorder_issue.html) issue in the affected packages ([freebsd-libs](https://tracker.debian.org/pkg/freebsd-libs), [mmh](https://tracker.debian.org/pkg/mmh)).

[devscripts](https://tracker.debian.org/pkg/devscripts)/2.16.8 was uploaded to unstable. It includes a `debrepro` 
script by Antonio Terceiro which is similar in purpose to `reprotest` but more
lightweight; specific to Debian packages and without support for virtual servers
or configurable variations.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

The following updated packages have become reproducible in our testing framework
after being fixed:

 * [ara](https://tracker.debian.org/pkg/ara)/1.0.32 by Chris Lamb, [#833610](https://bugs.debian.org/833610) by Chris Lamb.
 * [fracplanet](https://tracker.debian.org/pkg/fracplanet)/0.4.0-5 by Chris Lamb, [#829000](https://bugs.debian.org/829000) by Reiner Herrman.
 * [gnarwl](https://tracker.debian.org/pkg/gnarwl)/3.6.dfsg-8 by Bernhard Schmidt, [#779166](https://bugs.debian.org/779166) by Chris Lamb.
 * [kgb-bot](https://tracker.debian.org/pkg/kgb-bot)/1.34-1 by gregor herrmann, [#782079](https://bugs.debian.org/782079) by gregor herrmann.
 * [survex](https://tracker.debian.org/pkg/survex)/1.2.29-1 by Olly Betts.
 * [zpaq](https://tracker.debian.org/pkg/zpaq)/1.10-3 by Chris Lamb, [#782232](https://bugs.debian.org/782232) by Reiner Herrman.
 * [fig2dev](https://tracker.debian.org/pkg/fig2dev)/1:3.2.6-3 by Roland Rosenfeld.
 * [luxio](https://tracker.debian.org/pkg/luxio)/11-1 by Daniel Silverstone.
 * [monkeysign](https://tracker.debian.org/pkg/monkeysign)/2.1.1 by Antoine Beaupré, [#784602](https://bugs.debian.org/784602) by Daniel Kahn Gillmor.
 * [openarena-085-data](https://tracker.debian.org/pkg/openarena-085-data)/0.8.5split-9 by Simon McVittie.
 * [openarena-088-data](https://tracker.debian.org/pkg/openarena-088-data)/0.8.8-7 by Simon McVittie.
 * [openarena-data](https://tracker.debian.org/pkg/openarena-data)/0.8.5split-9 by Simon McVittie.
 * [rc](https://tracker.debian.org/pkg/rc)/1.7.4-1 by Reiner Herrmann, [#833441](https://bugs.debian.org/833441) by Chris Lamb.

The following updated packages appear to be reproducible now for reasons we
were not able to figure out. (Relevant changelogs did not mention reproducible
builds.)

 * [gkrellm](https://tracker.debian.org/pkg/gkrellm)/2.3.8-1 by Sandro Tosi
 * [glassfish](https://tracker.debian.org/pkg/glassfish)/1:2.1.1-b31g+dfsg1-4 by Emmanuel Bourg

Some uploads have addressed some reproducibility issues, but not all of them:

 * [apache2](https://tracker.debian.org/pkg/apache2)/2.4.23-5 by Raphaël Hertzog
 * [freeradius](https://tracker.debian.org/pkg/freeradius)/3.0.11+dfsg-1 by Michael Stapelberg
 * [libnss-ldap](https://tracker.debian.org/pkg/libnss-ldap)/265-4 by Chris Lamb
 * [lift](https://tracker.debian.org/pkg/lift)/2.5.0-1 by Nicolas Delvaux
 * [linux](https://tracker.debian.org/pkg/linux)/4.8~rc8-1~exp1 by Ben Hutchings
 * [nose2](https://tracker.debian.org/pkg/nose2)/0.6.5-2 by Barry Warsaw
 * [postgresql-9.6](https://tracker.debian.org/pkg/postgresql-9.6)/9.6.0-1 Christoph Berg
 * [strace](https://tracker.debian.org/pkg/strace)/4.13-0.1 by Nicolas Braud-Santoni
 * [yersinia](https://tracker.debian.org/pkg/yersinia)/0.7.3-3 by Noël Köthe

Patches submitted that have not made their way to the archive yet:

* [#838888](https://bugs.debian.org/838888) filed against [dh-haskell](https://tracker.debian.org/pkg/dh-haskell) by Chris Lamb.
* [#838971](https://bugs.debian.org/838971) filed against [slang2](https://tracker.debian.org/pkg/slang2) by Chris Lamb.
* [#839587](https://bugs.debian.org/839587) filed against [sympa](https://tracker.debian.org/pkg/sympa) by Chris Lamb.
* [#839181](https://bugs.debian.org/839181) filed against [transmission-remote-gtk](https://tracker.debian.org/pkg/transmission-remote-gtk) by Chris Lamb.
* [#838829](https://bugs.debian.org/838829) filed against [vala](https://tracker.debian.org/pkg/vala) by Sebastian Reichel.
* [#838970](https://bugs.debian.org/838970) filed against [webkit2pdf](https://tracker.debian.org/pkg/webkit2pdf) by Chris Lamb.
* [#831569](https://bugs.debian.org/831569) filed against [websockets](https://tracker.debian.org/pkg/websockets) by Chris Lamb.
* [#839347](https://bugs.debian.org/839347) filed against [xml-core](https://tracker.debian.org/pkg/xml-core) by Lucas Nussbaum.
* [#839526](https://bugs.debian.org/839526) filed against [xml-core](https://tracker.debian.org/pkg/xml-core) by Adrian Bunk.


Reviews of unreproducible packages
----------------------------------

77 package reviews have been added, 178 have been updated and 80 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

6 issue types have been updated:

- Added [clilibs_line_order](https://tests.reproducible-builds.org/issues/unstable/clilibs_line_order_issue.html), [records_build_flags](https://tests.reproducible-builds.org/issues/unstable/records_build_flags_issue.html) and
  [hevea_captures_build_path](https://tests.reproducible-builds.org/issues/unstable/hevea_captures_build_path_issue.html).
- Removed [locale_dependent_symbol_order_by_lorder](https://tests.reproducible-builds.org/issues/unstable/locale_dependent_symbol_order_by_lorder_issue.html), fixed in
  [bsdmainutils](https://tracker.debian.org/pkg/bsdmainutils)/9.0.11.
- Updated [diffoscope_runs_forever](https://tests.reproducible-builds.org/issues/unstable/diffoscope_runs_forever_issue.html), [captures_build_path](https://tests.reproducible-builds.org/issues/unstable/captures_build_path_issue.html).


Weekly QA work
--------------

As part of reproducibility testing, FTBFS bugs have been detected and reported
by:

 - Adrian Bunk (3)
 - Chris Lamb (12)
 - Lucas Nussbaum (3)
 - Sebastian Reichel (1)


diffoscope development
----------------------

A new version of diffoscope `61` was
[uploaded](http://changelogs.debian.net/diffoscope#60) to unstable by Chris
Lamb. It included
[contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/61)
from:

- Ximin Luo:
  - Improve the CLI `--help` text and add an `--output-empty` option.
- Chris Lamb:
  - Add a progress bar and show it if stdout is a TTY. You can read more about
    it [here](https://chris-lamb.co.uk/posts/diffoscope-progress-bar). It can
    also be read by higher-level programs via the `--status-fd` CLI option.
- Maria Glukhova:
  - Behaviour improvements in the case of OS-level errors.
- Mattia Rizzolo:
  - Testing and packaging improvements.

Post-release there were further contributions from:

- Chris Lamb:
  - Code architecture improvements.
- Maria Glukhova:
  - Testing improvements.


reprotest development
---------------------

A new version of reprotest `0.3.2` was
[uploaded](http://changelogs.debian.net/reprotest#0.3.2) to unstable by Ximin
Luo. It included
[contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/0.3.2)
from:

- Ximin Luo:
  - Add a `--diffoscope-arg` CLI option to pass extra args to diffoscope.

Post-release there were further contributions from:

- Chris Lamb:
  - Code quality improvements.


tests.reproducible-builds.org
-----------------------------

- Hans-Christoph Steiner continued work on setting up reproducible tests for F-Droid.
- Holger cleaned up the script creating [the page showing breakages](https://tests.reproducible-builds.org/debian/index_breakages.html), so that it now also cleans up some of the breakage it finds.
- IRC notifications about diffoscope crashes and artifacts available for investigations have been dropped; instead the [breakages page](https://tests.reproducible-builds.org/debian/index_breakages.html) has a permanent pointer. (h01ger)
- IRC notifications from the automatic package scheduler and status changes for packages have been moved -- as a temporary trial -- to #debian-reproducible-changes on irc.oftc.net (Mattia).


Misc.
-----

This week's edition was written by Ximin Luo, Holger Levsen & Chris Lamb and reviewed by a bunch of Reproducible Builds folks on IRC.
