---
layout: blog
week: 76
published: 2016-10-10 11:10:27
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday October 2 and Saturday October 8 2016:

Media coverage
--------------

* There was an [interesting discussion on Hacker News](https://news.ycombinator.com/item?id=12666923) about diverse double-compilation that touched on reproducible builds.

Events
------

* Vagrant Cascadian gave an impromptu talk about reproducible builds at [CAT Barcamp](catbarcamp.org) on 8th October.

* Holger discussed Reproducible coreboot at [coreboot.berlin](https://coreboot.berlin). Unlike other projects, coreboot doesn't do binary releases because there have been many instances of people taking some incorrect coreboot binary, flashed it and bricked their machines… The end idea is that coreboot will simply release `.buildinfo` files (and still no binaries) instead.

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* [#839633](https://bugs.debian.org/839633) filed against [alabaster](https://tracker.debian.org/pkg/alabaster) by Chris Lamb.
* [#840156](https://bugs.debian.org/840156) filed against [lambda-align](https://tracker.debian.org/pkg/lambda-align) by Chris Lamb.
* [#840140](https://bugs.debian.org/840140) filed against [fastx-toolkit](https://tracker.debian.org/pkg/fastx-toolkit) by Chris Lamb.
* [#840111](https://bugs.debian.org/840111) filed against [stumpwm](https://tracker.debian.org/pkg/stumpwm) by Chris Lamb.
* [#839631](https://bugs.debian.org/839631) filed against [playitslowly](https://tracker.debian.org/pkg/playitslowly) by Chris Lamb.
* [#840155](https://bugs.debian.org/840155) filed against [xotcl](https://tracker.debian.org/pkg/xotcl) by Chris Lamb.
* [#840100](https://bugs.debian.org/840100) filed against [wims-help](https://tracker.debian.org/pkg/wims-help) by Chris Lamb.
* [#840156](https://bugs.debian.org/840156) filed against [lambda-align](https://tracker.debian.org/pkg/lambda-align) by Chris Lamb.
* [#839633](https://bugs.debian.org/839633) filed against [alabaster](https://tracker.debian.org/pkg/alabaster) by Chris Lamb.
* [#839587](https://bugs.debian.org/839587) filed against [sympa](https://tracker.debian.org/pkg/sympa) by Chris Lamb.
* [#840098](https://bugs.debian.org/840098) filed against [fpga-icestorm](https://tracker.debian.org/pkg/fpga-icestorm) by Chris Lamb.
* [#840143](https://bugs.debian.org/840143) filed against [mypy](https://tracker.debian.org/pkg/mypy) by Chris Lamb.
* [#839977](https://bugs.debian.org/839977) filed against [apache2](https://tracker.debian.org/pkg/apache2) by Daniel Shahaf.
* [#839647](https://bugs.debian.org/839647) filed against [dmucs](https://tracker.debian.org/pkg/dmucs) by Reiner Herrmann.

Reviews of unreproducible packages
----------------------------------

31 package reviews have been added, 27 have been updated and over 20 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

3 issue types have been added:

- [ghc\_captures\_build\_path\_via\_tempdir](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/d983dee)
- [dict\_ordering\_in\_python\_alabaster\_sphinx\_theme\_extra\_nav\_links](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/ea3ef2d)
- [pdf\_id\_varying\_due\_to\_build\_path](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/4393a22)

1 issue type has been updated:

- [Add fix for dict\_ordering\_in\_python\_alabaster\_sphinx\_theme\_extra\_nav\_links toolchain issue.](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/718d863)

Weekly QA work
--------------

During of reproducibility testing, some FTBFS bugs have been detected and
reported by:

 - Chris Lamb (12)

tests.reproducible-builds.org
-----------------------

Debian:

- The data in `reproducible-tracker.json` (which is fed to `tracker.d.o` and DDPO) has been changed to contain data from testing as the build path variations we introduced for unstable are not yet ready for wider consumption. For testing/stretch we recomment to create reproducible packages by rebuilding in the same path. (h01ger)
- Various reproducibility statistics for testing/stretch have been added to the [dashboard view](https://tests.reproducible-builds.org/debian/reproducible.html). (h01ger)
- The [repository comparison page](https://tests.reproducible-builds.org/debian/index_repositories.html) has been improved to only show obsolete packages if they exist (which they currently don't as we have rebuilt everything from the plain Debian repos, except for our modified `dpkg` due to [#138409](https://bugs.debian.org/138409) and [#787980](https://bugs.debian.org/787980)). (h01ger)
- All `armhf` boards are now using Linux kernels provided by Debian. (vagrant)

Misc.
-----

This week's edition was written by Chris Lamb, Holger Levsen & Vagrant Cascadian and reviewed by a bunch of Reproducible Builds folks on IRC.
