---
layout: blog
week: 80
published: 2016-11-07 17:11:54
---

What happened in the [Reproducible Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday October 30 and Saturday November 5 2016:

Upcoming events
---------------

 - Chris Lamb and Holger Levsen will be presenting at [MiniDebConfCambridge 2016](https://wiki.debian.org/DebianEvents/gb/2016/MiniDebConfCambridge) in Cambridge, United Kingdom on November 10th-13th.

 - Vagrant Cascadian will be presenting [Introduction to Reproducible Builds](https://osem.seagl.org/conference/seagl2016/program/proposal/166) at the SeaGL.org Conference in Seattle, USA on November 12th.

 - The next IRC meeting will be held on [November 15th](https://lists.reproducible-builds.org/pipermail/rb-general/2016-November/000101.html).

 - Reproducible Debian Hackathon - A small hackathon organized in Boston, USA on December 3rd and 4th. If you are interested in attending, please contact Valerie Young (spectranaut in the #debian-reproducible IRC channel on irc.oftc.net.)

 - The second [Reproducible Builds World Summit](https://reproducible-builds.org/events/berlin2016/) will be held in Berlin, Germany on December 13th-15th.

Reproducible work in other projects
-----------------------------------

- [Patches to GCC to generate reproducible output independently of the build-path](https://gcc.gnu.org/ml/gcc-patches/2016-11/msg00182.html) were submitted by Ximin Luo.

- The new [Firefox Security Roadmap](https://wiki.mozilla.org/Security/Roadmap) includes Reproducible Builds (via a [tweet by Debian Developer Sylvestre](https://twitter.com/SylvestreLedru/status/794909927848497152)).

Bugs filed
-------------------------------------------

* [#842708](https://bugs.debian.org/842708) filed against [haskell-devscripts](https://tracker.debian.org/pkg/haskell-devscripts) by Chris Lamb.

* [#842864](https://bugs.debian.org/842864) filed against [aewan](https://tracker.debian.org/pkg/aewan) by Reiner Herrmann.
* [#842865](https://bugs.debian.org/842865) filed against [atanks](https://tracker.debian.org/pkg/atanks) by Reiner Herrmann.
* [#842867](https://bugs.debian.org/842867) filed against [i3status](https://tracker.debian.org/pkg/i3status) by Reiner Herrmann.
* [#842868](https://bugs.debian.org/842868) filed against [gip](https://tracker.debian.org/pkg/gip) by Reiner Herrmann.
* [#842875](https://bugs.debian.org/842875) filed against [lastpass-cli](https://tracker.debian.org/pkg/lastpass-cli) by Reiner Herrmann.
* [#842986](https://bugs.debian.org/842986) filed against [zathura-pdf-poppler](https://tracker.debian.org/pkg/zathura-pdf-poppler) by Reiner Herrmann.
* [#842988](https://bugs.debian.org/842988) filed against [masscan](https://tracker.debian.org/pkg/masscan) by Reiner Herrmann.
* [#842991](https://bugs.debian.org/842991) filed against [python-axolotl-curve25519](https://tracker.debian.org/pkg/python-axolotl-curve25519) by Reiner Herrmann.
* [#842992](https://bugs.debian.org/842992) filed against [pyephem](https://tracker.debian.org/pkg/pyephem) by Reiner Herrmann.
* [#843097](https://bugs.debian.org/843097) filed against [spacenavd](https://tracker.debian.org/pkg/spacenavd) by Reiner Herrmann.
* [#843100](https://bugs.debian.org/843100) filed against [python-clips](https://tracker.debian.org/pkg/python-clips) by Reiner Herrmann.
* [#843101](https://bugs.debian.org/843101) filed against [python-hiredis](https://tracker.debian.org/pkg/python-hiredis) by Reiner Herrmann.
* [#843109](https://bugs.debian.org/843109) filed against [zathura-ps](https://tracker.debian.org/pkg/zathura-ps) by Reiner Herrmann.
* [#843110](https://bugs.debian.org/843110) filed against [greenbone-security-assistant](https://tracker.debian.org/pkg/greenbone-security-assistant) by Reiner Herrmann.
* [#843234](https://bugs.debian.org/843234) filed against [vdr-plugin-sudoku](https://tracker.debian.org/pkg/vdr-plugin-sudoku) by Reiner Herrmann.
* [#843235](https://bugs.debian.org/843235) filed against [vdr-plugin-spider](https://tracker.debian.org/pkg/vdr-plugin-spider) by Reiner Herrmann.
* [#843245](https://bugs.debian.org/843245) filed against [distorm3](https://tracker.debian.org/pkg/distorm3) by Reiner Herrmann.

Reviews of unreproducible packages
----------------------------------

81 package reviews have been added, 14 have been updated and 43 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

3 issue types have been updated:

- [sphinx\_htmlhelp\_readdir\_sensitive](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/414d815)
- [random\_order\_in\_dh\_haskell\_substvars](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/9e27d3d)
- [sphinx\_htmlhelp\_readdir\_sensitive](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/414d815)

1 issue type has been removed:

- [unsorted\_pdl\_output](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/b6a55f6)

1 issue type has been updated:

- [document some reseach on docbook-to-man](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/aed8686)

Weekly QA work
--------------

During of reproducibility testing, some FTBFS bugs have been detected and
reported by:

 - Chris Lamb (17)

diffoscope development
----------------------

- [diffoscope 62](https://tracker.debian.org/news/811661) was uploaded to unstable by Mattia Rizzolo:

   * Add rudimentary support for OpenDocumentFormat files. (Michel Messerschmidt)
   * Detect JSON order-only differences and print them nicely. (Mattia Rizzolo)

buildinfo.debian.net development
--------------------------------

- Chris Lamb continued work on our [proof-of-concept ``.buildinfo`` file server](https://buildinfo.debian.net/):

  - [Show key ID over node name now](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=f9f41b7)
  - [Show submission timestamp.](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=72bcbda)
  - [Accept .udebs](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=0559940)
  - [Actually show latest submissions on homepage.](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=2ee9826)
  - [GPG signatures are now mandatory](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=23601f0)


tests.reproducible-builds.org
-----------------------

Reproducible Debian:

- With thanks to [Profitbricks](https://www.Profitbricks.com) continued
  sponsorship, Holger setup two new amd64 build nodes (and the associated
  Jenkins jobs) with 15/16 cores and 48GB RAM each for a total of four such
  amd64 nodes to double the build capacity of our amd64 build network.


Misc.
-----

Also with thanks to Profitbricks sponsoring the "hardware" resources, Holger
created a 13 core machine with 24GB RAM and 100GB SSD based storage so that
Ximin can do further tests and development on GCC and other software on a fast
machine.

This week's edition was written by Chris Lamb, Ximin Luo, Vagrant Cascadian, Holger Levsen and
reviewed by a bunch of Reproducible Builds folks on IRC.
