---
layout: blog
week: 85
published: 2016-12-15 14:12:57
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday
December 4 and Saturday December 10 2016:

Toolchain development and fixes
-------------------------------

Anders Kaseorg opened a [pull
request](https://github.com/asciidoc/asciidoc/pull/106) to [asciidoc](https://tracker.debian.org/pkg/asciidoc)
upstream, to make it generate reproducible documentation. ([#782294](https://bugs.debian.org/782294))


Bugs filed
----------

Chris Lamb:

* [#847768](https://bugs.debian.org/847768) filed against [hoichess](https://tracker.debian.org/pkg/hoichess).

Clint Adams:

* [#847008](https://bugs.debian.org/847008) filed against [tircd](https://tracker.debian.org/pkg/tircd).
* [#847021](https://bugs.debian.org/847021) filed against [oolite](https://tracker.debian.org/pkg/oolite).
* [#847024](https://bugs.debian.org/847024) filed against [torrus](https://tracker.debian.org/pkg/torrus).
* [#847039](https://bugs.debian.org/847039) filed against [jqueryui](https://tracker.debian.org/pkg/jqueryui).

Dafydd Harries:

* [#847033](https://bugs.debian.org/847033) filed against [newlib](https://tracker.debian.org/pkg/newlib).
* [#847035](https://bugs.debian.org/847035) filed against [bulletml](https://tracker.debian.org/pkg/bulletml).

Robbie Harwood:

* [#846971](https://bugs.debian.org/846971) filed against [maildrop](https://tracker.debian.org/pkg/maildrop).
* [#847009](https://bugs.debian.org/847009) filed against [amanda](https://tracker.debian.org/pkg/amanda).

Valerie R Young:

* [#846975](https://bugs.debian.org/846975) filed against [libranlip](https://tracker.debian.org/pkg/libranlip).
* [#847016](https://bugs.debian.org/847016) filed against [magicfilter](https://tracker.debian.org/pkg/magicfilter).
* [#847020](https://bugs.debian.org/847020) filed against [mailfront](https://tracker.debian.org/pkg/mailfront).
* [#847022](https://bugs.debian.org/847022) filed against [mimefilter](https://tracker.debian.org/pkg/mimefilter).
* [#847023](https://bugs.debian.org/847023) filed against [netqmail](https://tracker.debian.org/pkg/netqmail).
* [#847026](https://bugs.debian.org/847026) filed against [psgml](https://tracker.debian.org/pkg/psgml).
* [#847028](https://bugs.debian.org/847028) filed against [qmail-run](https://tracker.debian.org/pkg/qmail-run).
* [#847029](https://bugs.debian.org/847029) filed against [qmail-tools](https://tracker.debian.org/pkg/qmail-tools).
* [#847030](https://bugs.debian.org/847030) filed against [skalibs](https://tracker.debian.org/pkg/skalibs).
* [#847031](https://bugs.debian.org/847031) filed against [socklog](https://tracker.debian.org/pkg/socklog).
* [#847032](https://bugs.debian.org/847032) filed against [tinydyndns](https://tracker.debian.org/pkg/tinydyndns).
* [#847034](https://bugs.debian.org/847034) filed against [twoftpd](https://tracker.debian.org/pkg/twoftpd).
* [#847036](https://bugs.debian.org/847036) filed against [ucspi-tcp](https://tracker.debian.org/pkg/ucspi-tcp).
* [#847037](https://bugs.debian.org/847037) filed against [ucspi-unix](https://tracker.debian.org/pkg/ucspi-unix).


Reviews of unreproducible packages
----------------------------------

47 package reviews have been added, 84 have been updated and 3 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

1 new issue type has been added: [lessc_captures_build_path](https://tests.reproducible-builds.org/issues/unstable/lessc_captures_build_path_issue.html)


Weekly QA work
--------------

During our reproducibility testing, some FTBFS bugs have been detected and
reported by:

 - Chris Lamb (8)


diffoscope development
----------------------

Chris Lamb fixed a division-by-zero in the progress bar, split out
trydiffoscope into a separate package, and made some performance enhancements.
Maria Glukhova fixed build issues with Python 3.4


strip-nondeterminism development
--------------------------------

Anders Kaseorg added support for .par files, by allowing them to be
treated as Zip archives; and Chris Lamb improved some documentation.


reprotest development
---------------------

Ximin Luo added the ability to vary the build time using
[faketime](https://packages.debian.org/sid/faketime), as well as other code
quality improvements and cleanups.

He also discovered a little-known fact about faketime - that it also modifies
filesystem timestamps by default. He submitted a [PR](https://github.com/wolfcw/libfaketime/pull/102)
to libfaketime upstream to improve the documentation on this, which was quickly
accepted, and also disabled this feature in reprotest's own usage of faketime.


buildinfo.debian.net development
--------------------------------

There was further work on buildinfo.debian.net code. Chris Lamb added support
for buildinfo format 0.2 and made rejection notices clearer; and Emanuel
Bronshtein fixed some links to use HTTPS.


Misc.
-----

This week's edition was written by Ximin Luo and reviewed by a bunch
of Reproducible Builds folks on IRC and via email.
