---
layout: blog
week: 86
published: 2016-12-20 19:12:39
---

What happened in the [Reproducible Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday December 11 and Saturday December 17 2016:

Reproducible builds world summit
--------------------------------

The [2nd Reproducible Builds World Summit](https://reproducible-builds.org/events/berlin2016/) was held in Berlin, Germany on December 13th-15th. The event was a great success with enthusiastic participation from an extremely diverse number of projects. Many thanks to our sponsors for making this event possible!

<img style="margin-top: 10px; vertical-align: top;" src="/blog/images/groupphoto_rws2_berlin_2016_small.png" alt="Reproducible Summit 2 in Berlin 2016" />

Whilst there is an in-depth report forthcoming, the [Guix project](https://gnu.org/software/guix/news/reproducible-build-summit-2nd-edition.html) have already released their own report.

Media coverage
--------------

* ArsTechnica: "[How to make Linux more trustworthy](http://arstechnica.co.uk/information-technology/2016/12/how-to-make-linux-more-trustworthy/)"


Reproducible work in other projects
-----------------------------------

* Guix: [Reproducible builds: a means to an end](https://www.gnu.org/software/guix/news/reproducible-builds-a-means-to-an-end.html).

* [Ducible](https://github.com/jasonwhite/ducible), a tool to make Windows builds reproducible.

* FreeBSD now has [an option to eliminate kernel build metadata](https://svnweb.freebsd.org/base?view=revision&revision=310112) (Ed Maste).

* John Darrington [has been working on a patch to Gettext](https://savannah.gnu.org/bugs/?49654#comment6).

Documentation update
--------------------

A large number of revisions were made to the website during the summit, including re-structuring existing content and creating a concrete plan to move the wiki content to the website:

- Ulrike Uhlig:
  - [Add another FreeBSD talk and remove a trailing comma](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/f64a8d3)
  - [Add talk about RB in FreeBSD](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/03ddcf7)
  - [Create separate page for talks and resources.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/7bc0ae3)
  - [Add FreeBSD contact information](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/93cb37b)
  - [Add contact to Tails project](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/08993fe)
- Clemens Lang:
  - [docs/buy\_in: Document improved dev speed](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/f06e6c5)
  - [docs/buy\_in: Document easier build sys refactoring](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/5f29917)
  - [docs/buy\_in: Document binary diff advantages](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/f196345)
  - [docs/buy\_in: Document QA advantages](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/b3abbd5)
- Holger Levsen:
  - [Add group photo](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/baf6fa8)
- Chris Lamb:
  - [Add trydiffoscope to tools.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/a3787fd)
  - [Add reprotest to tools.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/690fbd5)
  - [Add some talks.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/a689b57)
  - Streamline design on mobile browsers. (many commits)
- Ludovic Courtès:
  - [Add links for Guix.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/68dd997)
- Mattia Rizzolo:
  - [Add contact information for Debian](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/85355e8)
- Valerie Young started to work on an FAQ, which is currently on a separate git branch.


Elsewhere in Debian
------------------

* Chris Lamb submitted a [patch for ``dak`` to preserve ``.buildinfo`` files](https://lists.debian.org/debian-dak/2016/12/msg00011.html) on the local ftp-master filesystem. This is a temporary measure to prevent some "historical" data loss; the files are currently being silently discarded.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

Chris Lamb:

* [#847768](https://bugs.debian.org/847768) filed against [hoichess](https://tracker.debian.org/pkg/hoichess).
* [#848136](https://bugs.debian.org/848136) filed against [python-setuptools](https://tracker.debian.org/pkg/python-setuptools).

Daniel Shahaf:

* [#848297](https://bugs.debian.org/848297) filed against [gst-plugins-bad1.0](https://tracker.debian.org/pkg/gst-plugins-bad1.0).

Reiner Herrmann:

* [#848280](https://bugs.debian.org/848280) filed against [qtltools](https://tracker.debian.org/pkg/qtltools).
* [#848292](https://bugs.debian.org/848292) filed against [fastqtl](https://tracker.debian.org/pkg/fastqtl).
* [#848295](https://bugs.debian.org/848295) filed against [openni-sensor-primesense](https://tracker.debian.org/pkg/openni-sensor-primesense).


Reviews of unreproducible packages
----------------------------------

9 package reviews have been added, 19 have been updated and 17 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

3 issue types have been added:

- [python\_setuptools\_install\_files\_txt toolchain issue](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/b86342d9)
- [disorderfs\_sensitive](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/47c5c123)
- [translations\_missing\_in\_desktop\_files](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/1b70b5a0)

One issue type was updated:

- [Add fix for randomness\_in\_python\_setuptools\_install\_files\_txt toolchain issue.](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/2362e143)

Weekly QA work
--------------

During our reproducibility testing, some FTBFS bugs have been detected and
reported by:

 - Chris Lamb (9)

diffoscope development
----------------------


- Brett Smith:
  - [Ensure set\_locale fixture runs before all tests.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/0202e7f)
  - [set\_locale should call tzset. (Closes: #848249)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/a828cb7)
- Chris Lamb:
  - [Improve documentation of new tests/conftest.py file.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f4fdf12)
- Mattia Rizzolo:
  - [presenters/html: namespace the diffoscope CSS class](https://salsa.debian.org/reproducible-builds/diffoscope/commit/d9b03ac)
  - [debian/control: Add trailing comma](https://salsa.debian.org/reproducible-builds/diffoscope/commit/bfa3cf7)
- Reiner Herrmann:
  - [Improved support for Android apk files](https://salsa.debian.org/reproducible-builds/diffoscope/commit/3e74866)
  - [Fix wording in comment](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9d9fbd2)
- Baptiste Daroussin:
  - [Improve portability by not relying on /dev/fd](https://salsa.debian.org/reproducible-builds/diffoscope/commit/fec9e97)
  - [comparators/directory: add compatibility with FreeBSD's getfacl](https://salsa.debian.org/reproducible-builds/diffoscope/commit/6812c22)

reprotest development
---------------------

- Chris Lamb:
  - [Use "generated binaries" over "produced binaries"; we use this elsewhere.](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=1b9e515)


trydiffoscope development
-------------------------

- trydiffoscope was split from the main diffoscope repository by Chris Lamb so that the two projects can be released independently and so that trydiffoscope can more easily be available on PyPI. It also simplifies the diffoscope packaging.

- trydiffoscope 64 was uploaded to unstable by Chris Lamb.

Misc.
-----

This week's edition was written by Chris Lamb and reviewed by a bunch of Reproducible Builds folks on IRC and via email.
