---
layout: blog
week: 91
published: 2017-01-29 18:01:03
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday
January 15 and Saturday January 21 2017:

Media Coverage
--------------

- Valerie Young presented *Reproducible Builds for a Better Future*
  ([video](https://www.youtube.com/watch?v=-nMVfmZL8zk)) at [linux.conf.au
  2017](https://www.linux.conf.au/).

- Chris Lamb presented *Reproducible Builds: Two years in the trenches*
  ([video](https://www.youtube.com/watch?v=ooJXRBf72M0)) at [linux.conf.au
  2017](https://www.linux.conf.au/).


Upcoming Events
---------------

- [The Reproducible Build
  Zoo](https://openiotelcna2017.sched.com/event/9Iu4/the-reproducible-build-zoo-vagrant-cascadian-aikidev-llc)
  will be presented by Vagrant Cascadian at the Embedded Linux Conference in
  Portland, Oregon, February 22nd.

- Dennis Gilmore and Holger Levsen will present on "Reproducible Builds and
  Fedora" at [Devconf.cz](https://devconf.cz/) on February 27th.

- [Introduction to Reproducible
  Builds](https://www.socallinuxexpo.org/scale/15x/presentations/introduction-reproducible-builds)
  will be presented by Vagrant Cascadian at Scale15x in Pasadena, California,
  March 5th.

- Verifying Software Freedom with Reproducible Builds will be
  presented by Vagrant Cascadian at
  [Libreplanet2017](https://www.libreplanet.org/2017/) in Boston,
  March 25th-26th.


Toolchain development and fixes
-------------------------------

Ximin Luo [continued work](https://github.com/infinity0/rb-prefix-map) on data
formats, code, and test cases for `SOURCE_PREFIX_MAP`. He also continued to
[talk with the rustc team](https://github.com/rust-lang/rust/issues/38322) on
the topic.

Chris Lamb [submitted a patch](https://github.com/smcameron/wordwarvi/pull/5)
to implement `SOURCE_DATE_EPOCH` for wordwarvi, a game which gave extra points
to people who built it from source within one hour. This fixes Debian [#786593](https://bugs.debian.org/786593).

[Launchpad bug 1657704](https://bugs.launchpad.net/launchpad/+bug/1657704) was
filed for them to start accepting buildinfo files.


Bugs filed
----------

- Chris Lamb:
  - [#851809](https://bugs.debian.org/851809) filed against [mono](https://tracker.debian.org/pkg/mono).
- Daniel Shahaf:
  - [#851764](https://bugs.debian.org/851764) filed against [hhsuite](https://tracker.debian.org/pkg/hhsuite).


Reviews of unreproducible packages
----------------------------------

10 package reviews have been added, 149 have been updated and 153 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

2 issue types have been updated:

* [ftbfs_due_to_jenkins_semaphore_setup](https://tests.reproducible-builds.org/issues/unstable/ftbfs_due_to_jenkins_semaphore_setup_issue.html)
* [clilibs_line_order](https://tests.reproducible-builds.org/issues/unstable/clilibs_line_order_issue.html)


Weekly QA work
--------------

During our reproducibility testing, the following FTBFS bugs have been detected
and reported by:

 - Chris Lamb (3)
 - Ondřej Kobližek (1)


diffoscope development
----------------------

diffoscope 69 was uploaded to unstable by Chris Lamb. It included
[contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/69)
from:

- Maria Glukhova:
  - Bug fixes: [#850055](https://bugs.debian.org/850055), [#850501](https://bugs.debian.org/850501).
  - Improve comparison of APK files: [#850502](https://bugs.debian.org/850502).
  - Add comparison of image metadata: [#849395](https://bugs.debian.org/849395).
- Chris Lamb:
  - Many bug fixes: [#849411](https://bugs.debian.org/849411), [#850485](https://bugs.debian.org/850485), [#850807](https://bugs.debian.org/850807),
    [#850850](https://bugs.debian.org/850850), [#851588](https://bugs.debian.org/851588).
  - Add comparison of ICO files: [#850730](https://bugs.debian.org/850730).
  - Optimisations: disable profiling unless needed, and pre-compile regexes.
  - Many code quality improvements.
- Mattia Rizzolo:
  - Deduplicate code for recognising file types based on `RE_FILE_TYPE` and
    `RE_FILE_EXTENSION`.
  - Improve code quality in tests.

Further development continued in Git, and will be released as version 70 next
week:

- Chris Lamb:
  - Add tests for `--html-dir` output and improve code quality elsewhere in tests.
  - Add markdown and reStructuredText output, as well as tests for these.
  - Improve software architecture of presenters.
  - Fix error-checking in the Haskell comparator.
- James Clarke:
  - Haskell comparator: properly extract version from interface files.
- Mattia Rizzolo:
  - Improve some documentation.
- Brett Smith:
  - Improve documentation including `--help` output.


reproducible-builds.org website development
-------------------------------------------

- Brett Smith:
  - berlin2016: List Conservancy consistently as a participant.
- Chris Lamb:
  - Add Valerie's talk to resources page.
- Daniel Shahaf:
  - Improved the "How to chair a meeting" section.


tests.reproducible-builds.org
-----------------------

- Holger added `arm64` to https://tests.reproducible-builds.org/debian/index_variations.html

- Mattia improved our process for building
  [the performance
  page](https://tests.reproducible-builds.org/debian/index_performance.html) so
  that stats for new architectures are computed correctly without manual
  intervention.

- Holger enhanced the build node maintenance scripts to correctly detect if
  `/dev/shm` is mounted incorrectly (due to [#851427](https://bugs.debian.org/851427)) and deployed an
  `/etc/rc.local` startup script to all systems which works around it. As a
  result, [jenkins_semaphore_setup_issue](https://tests.reproducible-builds.org/issues/unstable/jenkins_semaphore_setup_issue_issue.html) should be obsolete.

- Mattia improved the diskspace monitoring visible at
  [our munin page](https://jenkins.debian.net/munin) for the 44 nodes we're
  currently running.

- Holger added 6GB more RAM to `jenkins.debian.net`, for a total of 64GB RAM,
  to better cope with the new jobs due to `arm64. As usual, thanks to
  [profitbricks.com](http://profitbricks.com) for the hardware resources
  enabling this work.


Misc.
-----

This week's edition was written by Ximin Luo, Vagrant Cascadian, Holger Levsen
& Chris Lamb and reviewed by a bunch of Reproducible Builds folks on IRC & the
mailing lists.
