---
layout: blog
week: 154
published: 2018-04-10 08:04:07
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday April 1 and Saturday April 7 2018:

* Holger Levsen published a [call for votes](https://lists.reproducible-builds.org/pipermail/rb-general/2018-April/000848.html) in order to decide on a logo for the projects, closing on *Sunday 15th April*. For more background information, please see the [previous meeting's minutes](https://lists.reproducible-builds.org/pipermail/rb-general/2018-March/000839.html)), [the proposals](https://demo.identihub.co/project/r-b-logo-voting/) and the [original proof-of-concept](https://wiki.debian.org/ReproducibleBuilds/Logo) artwork.

* During [Easterhegg 2018](https://eh18.easterhegg.eu/) Holger was interviewed in German by the Swiss "[Hackerfunk](https://www.hackerfunk.ch/)" podcast. ([MP3 & shownotes](https://www.hackerfunk.ch/index.php?id=271), [Ogg](https://www.hackerfunk.ch/index.php?id=270)).

* Juro Bystricky posted to [our mailing list](https://lists.reproducible-builds.org/pipermail/rb-general/) on [the Linux kernel's `srcversion` field](https://lists.reproducible-builds.org/pipermail/rb-general/2018-April/000845.html).

* Chris Lamb uploaded [python-setuptools](39.0.1-1.0~reproducible1) to our local package repository to work around an issue where version 39.0.1 onwards generated `PKG-INFO` files with a non-deterministic "`Provides-Extra`" output ([#894215](https://bugs.debian.org/894215)). This was subsequently superseded by [Matthias Klose upload of 39.0.1-2 into unstable](https://tracker.debian.org/news/944926/accepted-python-setuptools-3901-2-source-into-unstable/).

* anthraxx [added Arch Linux support](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9e5b7f8) for the [Gnumeric](http://www.gnumeric.org/) spreadsheet comparator in [diffoscope](https://diffoscope.org).


Patches
-------

* Bernhard M. Wiedemann:
  * [cobra](https://github.com/spf13/cobra/pull/667) ([`SOURCE_DATE_EPOCH`](https://reproducible-builds.org/specs/source-date-epoch/))
  * [Qt `.qch` files](https://codereview.qt-project.org/203352) (`SOURCE_DATE_EPOCH`)
  * [webkitgtk](https://build.opensuse.org/request/show/593851) (`readdir(2)`)
* Chris Lamb:
    * [#894607](https://bugs.debian.org/894607) filed against [pylint](https://tracker.debian.org/pkg/pylint) ([forwarded upstream](https://github.com/PyCQA/pylint/pull/1989)).
    * [#890311](https://bugs.debian.org/890311) and [#890568](https://bugs.debian.org/890568) for dashel ([forwarded upstream](https://github.com/aseba-community/dashel/pull/42)).
* Juan Picca:
    * [#894787](https://bugs.debian.org/894787) filed against [vte](https://tracker.debian.org/pkg/vte).

In addition, build failure bugs were reported by Adam Borowski (1), Adrian Bunk (27) and Aurélien Courderc (1).


jenkins.debian.net development
------------------------------

Mattia Rizzolo made a large number of changes to our [Jenkins](https://jenkins.io/)-based testing framework, including:

- Variation testing, etc.:
    - [Configure APT to ignore `Release` expiry when we are in the future](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=f3aba2a9).
    - [Configure APT pinning to force usage of our own packages instead of the ones coming from Debian](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=6d75ff46).
    - [Only set `Acquire::Check-Valid-Until:false` when the host runs in the future](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=a8ee5a00).

- Performance, etc.:
    - [Decrease the number of workers in a tentative to reduce the general load](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=1d8394b6).
    - [Configure `dpkg` to not issue pointless `fsync()`s](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=b89b4781).
    - [Do not store the scheduling message anymore](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=fbe16ad8).

- `chroot` maintenance:
    - [Move from `schroot` to `chdist` for the master node](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=b549df7d).
    - [Swap `pbuilder` and `schroot` columns now that the latter are disabled](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=9603a272)
    - [Use `chdist` to download the source on the build nodes too](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=de52cdaf).
    - [Use a `schroot` session while calling diffoscope](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=40366224).
    - [Use the host architecture when selecting which `chdist` to obtain sources from](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=d62b4253).
    - [Disable all the `schroot` maintenance jobs](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=8912daf2).

- Misc:
    - [Make the location of the JSON outputs distribution-specific](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=a678ef1d).
    - [Keep the build worker logs for an extra day](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=df10b0d2).
    - [Log `build.sh` failures and notify us](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=d6b5858d).
    - [Correct logging in `json.py`](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=d94921d5).



Reviews of unreproducible packages
----------------------------------

52 package reviews were added, 43 were updated and 50 have been removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

Two issue categorisation types were added ([`nondeterminism_in_files_generated_by_hfst`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/56cda31a) & [`nondeterminism_in_apertium_lrx_bin_files_generated_by_lrx_comp`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/8413f233)) and two were removed ([`nondeterminstic_ordering_in_gsettings_glib_enums_xml`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/40fd2f51) & [`captures_build_path_in_python_sugar3_symlinks`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/28fc9436))


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb and Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
